<?php

namespace App\Http\Controllers;

use App\About;
use Illuminate\Http\Request;

class AboutController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    public function index()
    {
        $about = About::first();
        return view('abouts.index', compact('about'));
    }

    public function create()
    {
        $about = About::first();
        if ($about) {
            return redirect()->route('abouts.edit', $about->id);
        }
        return view('abouts.create');
    }

    public function store(Request $request)
    {
        $request->validate([
            'about_us' => 'required',
            'our_vission' => 'required',
            'our_mission' => 'required',
            'our_core_values' => 'required',
            'our_strategy' => 'required',
            'our_commitment' => 'required',
        ]);

        $about = new About;
        $about->about_us = $request->about_us;
        $about->our_vission = $request->our_vission;
        $about->our_mission = $request->our_mission;
        $about->our_core_values = $request->our_core_values;
        $about->our_strategy = $request->our_strategy;
        $about->our_commitment = $request->our_commitment;
        $about->save();


        return redirect()->route('abouts.index')->with('success', 'About section created successfully.');
    }

    public function edit(About $about)
    {
        return view('abouts.edit', compact('about'));
    }

    public function update(Request $request, About $about)
    {
        $request->validate([
            'about_us' => 'required',
            'our_vission' => 'required',
            'our_mission' => 'required',
            'our_core_values' => 'required',
            'our_strategy' => 'required',
            'our_commitment' => 'required',
        ]);

        $about = About::find($about->id);
        $about->about_us = $request->about_us;
        $about->our_vission = $request->our_vission;
        $about->our_mission = $request->our_mission;
        $about->our_core_values = $request->our_core_values;
        $about->our_strategy = $request->our_strategy;
        $about->our_commitment = $request->our_commitment;
        $about->save();

        return redirect()->route('abouts.index')->with('success', 'About section updated successfully');
    }

    public function destroy(About $about)
    {
        $about->delete();
        return redirect()->route('abouts.index')->with('success', 'About section deleted successfully');
    }
}
