<?php

namespace App\Http\Controllers;

use App\Address;
use Illuminate\Http\Request;

class AddressController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    public function index()
    {
        $address = Address::first();
        return view('addresses.index', compact('address'));
    }

    public function create()
    {
        $address = Address::first();
        if ($address) {
            return redirect()->route('addresses.edit', $address->id);
        }
        return view('addresses.create');
    }

    public function store(Request $request)
    {
        $request->validate([
            'description' => 'required',
        ]);

        Address::create($request->all());

        return redirect()->route('addresses.index')->with('success', 'Address created successfully.');
    }

    public function edit(Address $address)
    {
        return view('addresses.edit', compact('address'));
    }

    public function update(Request $request, Address $address)
    {
        $request->validate([
            'description' => 'required',
        ]);

        $address->update($request->all());

        return redirect()->route('addresses.index')->with('success', 'Address updated successfully');
    }

    public function destroy(Address $address)
    {
        $address->delete();
        return redirect()->route('addresses.index')->with('success', 'Address deleted successfully');
    }
}
