<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\BnfOverview;

class BnfOverviewController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    public function index()
    {
        $bnfOverview = BnfOverview::first();
        return view('bnf_overview.index', compact('bnfOverview'));
    }

    public function update(Request $request)
    {
        $request->validate([
            'male' => 'required|integer',
            'female' => 'required|integer',
            'CU5' => 'required|integer',
            'PWD' => 'required|integer',
            'PLW' => 'required|integer',
        ]);

        $bnfOverview = BnfOverview::find($request->id);

        $bnfOverview->male= $request->male;
        $bnfOverview->female= $request->female;
        $bnfOverview->CU5= $request->CU5;
        $bnfOverview->PWD= $request->PWD;
        $bnfOverview->PLW= $request->PLW;
        $bnfOverview->save();

        return response()->json(['success' => 'Data updated successfully']);
    }
    public function store(Request $request)
    {
        $request->validate([
            'male' => 'required|integer',
            'female' => 'required|integer',
            'CU5' => 'required|integer',
            'PWD' => 'required|integer',
            'PLW' => 'required|integer',
        ]);
        if(BnfOverview::first()){
        return response()->json(['error' => 'Data cannot be entered!']);

        }

        $bnf = new BnfOverview;
        $bnf->male= $request->male;
        $bnf->female= $request->female;
        $bnf->CU5= $request->CU5;
        $bnf->PWD= $request->PWD;
        $bnf->PLW= $request->PLW;
        $bnf->save();

        return response()->json(['success' => 'Data added successfully']);
    }
    public function destroy($id)
    {
        
        BnfOverview::destroy($id);
        return response()->json(['success' => 'Data deleted successfully']);
    }

    public function fetchData()
    {
        $bnfOverview = BnfOverview::first();
        return response()->json($bnfOverview);
    }

    public function edit($id)
    {
        $bnfOverview = BnfOverview::find($id);
        // return $bnfOverview;
        return view('bnf_overview.edit', ['bnfOverview'=>$bnfOverview]);
    }
}
