<?php

namespace App\Http\Controllers;

use App\CareerOpportunity;
use Illuminate\Http\Request;

class CareerOpportunityController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    public function index()
    {
        $careerOpportunities = CareerOpportunity::latest()->paginate(10);
        return view('career-opportunities.index', compact('careerOpportunities'));
    }

    public function create()
    {
        return view('career-opportunities.create');
    }

    public function store(Request $request)
    {
        
        $request->validate([
            'title' => 'required',
            'location' => 'required',
            'status' => 'required',
            'career_type' => 'required',
            'vacancy_no' => 'required',
        ]);

        $careerOpportunity = CareerOpportunity::create($request->all());
        // if ($request->hasFile('file')) {
        //     $file = $request->file('file');
        //     $fileName = $file->getClientOriginalName();
        //     $file->storeAs('public', $fileName);
        //     $careerOpportunity->file = $fileName;
        //     $careerOpportunity->save(); 
        // }
        if($request->hasFile('file')){
            $fileName = time().'.'.$request->file->extension();
            $request->file->move(public_path('documents'), $fileName);
            $careerOpportunity->file = $fileName;
            $careerOpportunity->save(); 
        }

        return redirect()->route('career-opportunities.index')
                        ->with('success','Career opportunity created successfully.');
    }

    public function show(CareerOpportunity $careerOpportunity)
    {
        return view('career-opportunities.show', compact('careerOpportunity'));
    }

    public function edit(CareerOpportunity $careerOpportunity)
    {
        return view('career-opportunities.edit', compact('careerOpportunity'));
    }

    public function update(Request $request, CareerOpportunity $careerOpportunity)
    {
        $request->validate([
            'title' => 'required',
            'location' => 'required',
            'status' => 'required',
            'career_type' => 'required',
            'vacancy_no' => 'required',

        ]);

        $careerOpportunity->update($request->all());

        if ($request->hasFile('file')) {
            $file = $request->file('file');
            $fileName = $file->getClientOriginalName();
            $file->storeAs('public', $fileName);
            $careerOpportunity->file = $fileName;
            $careerOpportunity->save();
        }

        return redirect()->route('career-opportunities.index')
                        ->with('success','Career opportunity updated successfully');
    }

    public function destroy(CareerOpportunity $careerOpportunity)
    {
        $careerOpportunity->delete();
        return redirect()->route('career-opportunities.index')
                        ->with('success','Career opportunity deleted successfully');
    }
}
