<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Slideshow;
use App\Post;
use App\CareerOpportunity;


class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        $slideshow = Slideshow::count();
        $post = Post::count();
        $career = CareerOpportunity::count();

        return view('home',['slideshow'=>$slideshow,'post'=>$post,'career'=>$career]);
    }
}
