<?php
namespace App\Http\Controllers;

use App\Slideshow;
use Illuminate\Http\Request;

class SlideshowController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    public function index()
    {
        $slideshows = Slideshow::latest()->paginate(10);
        return view('slideshows.index', compact('slideshows'));
    }

    public function create()
    {
        return view('slideshows.create');
    }

    public function store(Request $request)
    {
        $request->validate([
            'content' => 'required',
        ]);

        $slideshow = Slideshow::create($request->all());
        // return $request;
        if ($request->hasFile('image')) {
            $image = $request->file('image');
            $imageName = time() . '.' . $image->getClientOriginalExtension();
            $request->image->move(public_path('images'), $imageName);
            $slideshow->image = $imageName;
            $slideshow->save();
        }

        return redirect()->route('slideshows.index')->with('success', 'Slideshow created successfully.');
    }

    public function show(Slideshow $slideshow)
    {
        return view('slideshows.show', compact('slideshow'));
    }

    public function edit(Slideshow $slideshow)
    {
        return view('slideshows.edit', compact('slideshow'));
    }

    public function update(Request $request, Slideshow $slideshow)
    {
        $request->validate([
            'content' => 'required',
        ]);

        $slideshow->update($request->all());

        if ($request->hasFile('image')) {
            $image = $request->file('image');
            $imageName = time() . '.' . $image->getClientOriginalExtension();
            $image->storeAs('public', $imageName);
            $slideshow->image = $imageName;
            $slideshow->save();
        }

        return redirect()->route('slideshows.index')->with('success', 'Slideshow updated successfully');
    }

    public function destroy(Slideshow $slideshow)
    {
        $slideshow->delete();
        return redirect()->route('slideshows.index')->with('success', 'Slideshow deleted successfully');
    }
}
