let slideIndex = 1;
showSlides(slideIndex);

function showSlides(n) {
  let i;
  let slides = document.getElementsByClassName("mySlides");
  let dots = document.getElementsByClassName("dot");
  if (n > slides.length) {slideIndex = 1}
  if (n < 1) {slideIndex = slides.length}
  for (i = 0; i < slides.length; i++) {
    slides[i].style.display = "none";
    slides[i].classList.remove("active"); // Remove active class
  }
  for (i = 0; i < dots.length; i++) {
    dots[i].className = dots[i].className.replace(" active", "");
  }
  slides[slideIndex-1].style.display = "block";
  slides[slideIndex-1].classList.add("active"); // Add active class
  dots[slideIndex-1].className += " active";
}

// Automatic slideshow
function autoShowSlides() {
  let i;
  let slides = document.getElementsByClassName("mySlides");
  let dots = document.getElementsByClassName("dot");
  for (i = 0; i < slides.length; i++) {
    slides[i].style.display = "none";
    slides[i].classList.remove("active"); // Remove active class
  }
  slideIndex++;
  if (slideIndex > slides.length) {slideIndex = 1}
  for (i = 0; i < dots.length; i++) {
    dots[i].className = dots[i].className.replace(" active", "");
  }
  slides[slideIndex-1].style.display = "block";
  slides[slideIndex-1].classList.add("active"); // Add active class
  dots[slideIndex-1].className += " active";
  setTimeout(autoShowSlides, 10000); // Change image every 5 seconds
}

// Call the automatic slideshow function to start the slideshow
autoShowSlides();

// Function to go to the current slide when a dot is clicked
function currentSlide(n) {
  clearTimeout(autoShowSlides); // Clear the existing timer
  showSlides(slideIndex = n);
//   autoShowSlides(); // Restart the automatic slideshow
}
if(document.getElementById('myPieChart')){
  function fetchData() {
    $.ajax({
        url: '/bnf_overviewfetch',
        method: 'GET',
        success: function(data) {
            const ctx = document.getElementById('myPieChart').getContext('2d');
            const total = data.male + data.female + data.CU5 + data.PWD + data.PLW;
            const percentages = [
                ((data.female / total) * 100).toFixed(2),
                ((data.male / total) * 100).toFixed(2),
                ((data.CU5 / total) * 100).toFixed(2),
                ((data.PWD / total) * 100).toFixed(2),
                ((data.PLW / total) * 100).toFixed(2)
            ];
            const chartData = {
                labels: ['Female', 'Male', 'CU5', 'PWD', 'PLW'],
                datasets: [{
                    data: [data.female, data.male, data.CU5, data.PWD, data.PLW],
                    backgroundColor: [
                        'rgba(255, 40, 145, 0.5)',
                        'rgba(0, 10, 255, 0.5)',
                        'rgba(248, 255, 60, 0.5)',
                        'rgba(255, 0, 29, 0.5)',
                        'rgba(10, 245, 9, 0.5)',
                    ],
                    borderColor: [
                        'rgba(255, 99, 132, 1)',
                        'rgba(54, 162, 235, 1)',
                        'rgba(255, 206, 86, 1)',
                        'rgba(75, 192, 192, 1)',
                    ],
                    borderWidth: 1
                }]
            };

            new Chart(ctx, {
                type: 'pie',
                data: chartData,
                options: {
                    responsive: true,
                    plugins: {
                        legend: {
                            position: 'top',
                        },
                        tooltip: {
                            callbacks: {
                                label: function(tooltipItem) {
                                    const value = chartData.datasets[0].data[tooltipItem.dataIndex];
                                    const percentage = percentages[tooltipItem.dataIndex];
                                    return `${value} (${percentage}%)`;
                                }
                            }
                        }
                    }
                }
            });

            const tableBody = $('#bnfTableBody');
            tableBody.empty();
            tableBody.append(`
                <tr>
                    <td>${data.male}</td>
                    <td>${data.female}</td>
                    <td>${data.CU5}</td>
                    <td>${data.PWD}</td>
                    <td>${data.PLW}</td>
                    <td>
                        <a href="/bnf_overview/${data.id}" class="btn btn-primary btn-edit" data-id="${data.id}">Edit</button>
                     
                    </td>
                </tr>
            `);
        }
    });
}

fetchData();
}