<!DOCTYPE html>
<html>
<head>
    <title>Edit Address</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <!-- DataTables CSS -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.18/summernote-bs4.min.css" rel="stylesheet">
    <meta name="csrf-token" content="{{ csrf_token() }}">
</head>
<body>
<div class="container">
    <h1>Edit Address</h1>
    <form action="{{ route('addresses.update', $address->id) }}" method="POST">
        @csrf
        @method('PUT')
        <div class="form-group">
            <label for="description">Description</label>
            <textarea id="description" name="description" class="form-control summernote" required>{{ $address->description }}</textarea>
        </div>
        <button type="submit" class="btn btn-primary">Update</button>
    </form>
</div>

<!-- jQuery -->
<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<!-- Bootstrap JS -->
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
    integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous">
</script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.js"></script>

<script>
    $(document).ready(function() {
        $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });
        $('.summernote').summernote({
            height: 200,
            callbacks: {
                onImageUpload: function(files) {
                    var editor = $(this);
                    var url =
                        '{{ route('upload.image') }}'; // the route to the image upload controller method
                    var data = new FormData();
                    data.append('image', files[0]);

                    $.ajax({
                        url: url,
                        method: 'POST',
                        data: data,
                        processData: false,
                        contentType: false,
                        success: function(response) {
                            if (response.url) {
                                editor.summernote('insertImage', response.url);
                            }
                        },
                        error: function(response) {
                            console.log('Error uploading image: ', response);
                        }
                    });
                }
            }
        });
    });
</script>
</body>
</html>

