<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{ $applicant->f_name }} {{ $applicant->l_name }} - CV</title>

    <!-- Latest compiled and minified CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- Summernote CSS -->
    <link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <style>
        body {
            font-family: Arial, sans-serif;
            line-height: 1.6;
            margin: 0;
            padding: 20px;
            background-color: #f4f4f4;
        }

        .container {
            max-width: 800px;
            margin: 0 auto;
            background-color: #fff;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }

        h1,
        h2,
        h3 {
            border-bottom: 2px solid #ccc;
            padding-bottom: 5px;
            color: #333;
        }

        .section {
            margin-bottom: 20px;
        }

        .section ul {
            list-style: none;
            padding: 0;
        }

        .section ul li {
            margin-bottom: 10px;
        }

        .header {
            text-align: center;
            margin-bottom: 40px;
        }

        .header h1 {
            margin: 0;
            font-size: 2.5em;
        }

        .header p {
            font-size: 1.2em;
            color: #555;
        }
    </style>
</head>

<body>
    <div class="container">
        <a href="/applicants" class="btn btn-primary">Back to Main Page</a>

        <div style="float: right">

            <select name="status" id="status" class="form-control">
                <option value="">Select Status</option>
                <option value="Shortlist" {{ $applicant->status == 'Shortlist' ? 'selected' : '' }}>Shortlist</option>
                <option value="Longlist" {{ $applicant->status == 'Longlist' ? 'selected' : '' }}>Longlist</option>
                <option value="Reject" {{ $applicant->status == 'Reject' ? 'selected' : '' }}>Reject</option>
            </select>
        </div>
        <input type="hidden" name="applicant_id" id="applicant_id" value="{{ $applicant->id }}">
        <!-- Navigation Buttons -->
        <div style="text-align: left; margin-top: 20px;">
            @if ($previousApplicantId)
                <a href="{{ route('applicants.show', $previousApplicantId) }}" class="btn btn-secondary">Previous</a>
            @endif

            @if ($nextApplicantId)
                <a href="{{ route('applicants.show', $nextApplicantId) }}" class="btn btn-primary">Next</a>
            @endif
        </div>
        <div class="header">
            <h1>{{ $applicant->f_name }} {{ $applicant->l_name }}</h1>
            <p>Applied for vacancy no: <strong>{{ $applicant->vacancy_no }}</strong></p>
            <p>{{ $applicant->email }} | {{ $applicant->phone }}</p>
        </div>

        <div class="section">
            <h3>Personal Information</h3>
            <table class="table">
                <tr>
                    <td>Full Name:</td>
                    <td><strong>{{ $applicant->f_name }} {{ $applicant->l_name }}</strong></td>
                    <td>Date of Birth:</td>
                    <td><strong>{{ $applicant->dob }}</strong></td>
                </tr>
                <tr>
                    <td>Gender:</td>
                    <td><strong>{{ $applicant->gender }}</strong></td>
                    <td>Email:</td>
                    <td><strong>{{ $applicant->email }}</strong></td>
                </tr>
                <tr>
                    <td>Marital Status:</td>
                    <td><strong>{{ $applicant->marital_status }}</strong></td>
                    <td>Phone:</td>
                    <td><strong>{{ $applicant->phone }}</strong></td>
                </tr>
                <tr>
                    <td>Father Name:</td>
                    <td><strong>{{ $applicant->father_name }}</strong></td>
                    <td>WhatsApp:</td>
                    <td><strong>{{ $applicant->whatsapp }}</strong></td>
                </tr>
            </table>
        </div>
        <div class="section">
            <h3>Address Information</h3>
            <table class="table">
                <h5>Permanent Address</h5>
                <tr>
                    <td colspan="2">Country: <strong>{{ $applicant->country }}</strong></td>
                </tr>
                <tr>
                   
                    <td>Province:</td>
                    <td><strong>{{ $applicant->permanent_province }}</strong></td>
                </tr>
                <tr>
                    <td >District:</td>
                    <td><strong>{{ $applicant->permanent_district }}</strong></td>

                </tr>
                <tr><td colspan="2"><h5>Present Address</h5></td></tr>
                <tr>
                    
                    <td>Province:</td>
                    <td><strong>{{ $applicant->province }}</strong></td>
                </tr>
                <tr>
                    <td>District:</td>
                    <td><strong>{{ $applicant->district }}</strong></td>
                </tr>
            </table>
        </div>

        <div class="section">
            <h3>Education</h3>
            <ol>
                @foreach ($applicant->education as $edu)
                    <li>

                        <strong>{{ $edu->degree }}</strong> from {{ $edu->institution_name }}
                        ({{ $edu->start_date }} -
                        {{ $edu->end_date }})

                        <ul  style="padding-left: 20px">
                            <li>Education Level: <strong>{{ $edu->education_level }}</strong></li>
                            <li>Country: <strong>{{ $edu->country }}</strong></li>
                            <li>City / Province / State: <strong>{{ $edu->province }}</strong></li>
                            <li> Grduated:<input type="checkbox" name="graduated" id="graduated"
                                @if ($edu->graduated == 'true' || $edu->graduated == 'on') checked @endif disabled></li>
                        </ul>
                       
                    </li>
                @endforeach
            </ol>
        </div>

        <div class="section">
            <h3>Experience</h3>
            
           
            <ol>
                @php
                    $i=0;
                    $r=0;
                @endphp
                @foreach ($applicant->experience as $exp)
                @if ($exp->relative_experience == 'on')
                    @php
                    $startDate1 = $exp->start_date;
                    $endDate1 = $exp->end_date;

                    $startYear1 = date('Y', strtotime($startDate1));
                    $endYear1 = date('Y', strtotime($endDate1));

                    $startMonth1 = date('m', strtotime($startDate1));
                    $endMonth1 = date('m', strtotime($endDate1));
                    $months1 =  $endMonth1 - $startMonth1;
                
                    $years1 = ($endYear1 - $startYear1);
                    $r+=$years1;
                @endphp
                @endif
                    
                    @php
                        $startDate = $exp->start_date;
                        $endDate = $exp->end_date;

                        $startYear = date('Y', strtotime($startDate));
                        $endYear = date('Y', strtotime($endDate));

                        $startMonth = date('m', strtotime($startDate));
                        $endMonth = date('m', strtotime($endDate));
                        $months =  $endMonth - $startMonth;
                        if($exp->relative_experience == 'on'){

                        }
                        $years = ($endYear - $startYear);
                        $i+=$years;
                    @endphp
                    <li>

                        <strong>{{ $exp->job_title }}</strong> at {{ $exp->employer_name }} ({{ $exp->start_date }} -
                        {{ $exp->end_date }}) {{ $years }} Years of Experience | Relative Experience : <input type="checkbox" name="relative_experience" id="relative_experience"
                        @if ($exp->relative_experience == 'true' || $exp->relative_experience == 'on') checked @endif disabled>

                        <ul style="padding-left: 20px">
                            <li><strong>Description Of Duties:</strong></li>
                            <li>{!! $exp->description_of_duties !!}</li>
                        </ul>
                    </li>
                @endforeach
            </ol>
            <h5>Overall Experience: {{ $i }} Years + {{ $months ?? 0 }} Month</h5>
            <h5>Relative Experience: {{ $r }} Years + {{ $months1 ?? 0 }} Month</h5>

        </div>
        <div class="section">
            <h3>Skills</h3>
            <table class="table">
                @foreach ($applicant->skills as $skill_no)
                    <tr>
                        <td>{{ $skill_no->skill }}</td>

                        <td>{{ $skill_no->skill_level }}</td>
                    </tr>
                @endforeach
            </table>
        </div>
        <div class="section">
            <h3>Languages</h3>
            <table class="table">
                <thead>
                    <tr>
                        <th>Language</th>
                        <th>Speaking</th>
                        <th>Reading</th>
                        <th>Writing</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($applicant->languages as $language)
                        {{-- <li>
                            <strong>{{ $language->language }}</strong>: Speaking: {{ $language->speaking }}, Reading:
                            {{ $language->reading }}, Writing: {{ $language->writing }}
                        </li> --}}
                        <tr>
                            <td>{{ $language->language }}</td>

                            <td>{{ $language->speaking }}</td>
                            <td>{{ $language->reading }}</td>
                            <td>{{ $language->writing }}</td>
                        </tr>
                    @endforeach

                </tbody>

            </table>
            <ul>

            </ul>
        </div>
        <div class="section">
            <h3>Supporting Documents</h3>
            <table class="table">
                <tr>
                    <td>
                        <a href="{{ route('applicant.viewFile', ['id' => $applicant->id, 'type' => 'pdf']) }}"
                            target="_blank">
                            <i class="fa fa-file" style="color: blue;font-size:60px"></i>
                            <br>
                            View CV
                        </a>

                    </td>
                    <td>
                        <a href="{{ route('applicant.viewFileCert', ['id' => $applicant->id, 'type' => 'pdf']) }}"
                            target="_blank">
                            <i class="fa fa-file" style="color: blue;font-size:60px"></i>
                            <br>
                            Certificates
                        </a>

                    </td>
                </tr>
            </table>
        </div>


    </div>
    <!-- Include DataTables CSS -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.21/css/jquery.dataTables.min.css">
    <!-- Include jQuery -->
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <!-- Include DataTables JS -->
    <script src="https://cdn.datatables.net/1.10.21/js/jquery.dataTables.min.js"></script>
    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous">
    </script>
    <!-- Latest compiled JavaScript -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.js"></script>

    <script>
        $(document).ready(function() {
            $('#status').on('change', function() {
                var status = $('#status').val();
                var applicantId = $('#applicant_id').val();

                if (status === '') {
                    alert('Please select a status.');
                    return;
                }

                $.ajax({
                    url: '/applicants/' + applicantId + '/status',
                    type: 'POST',
                    data: {
                        _token: '{{ csrf_token() }}', // Include CSRF token
                        status: status
                    },
                    success: function(response) {
                        // Handle success
                        alert('Status updated successfully!');
                    },
                    error: function(xhr) {
                        // Handle error
                        alert('An error occurred: ' + xhr.responseText);
                    }
                });
            });
        });
    </script>
</body>

</html>
