@extends('layouts.admin')
@section('status3','active')
@section('title','Announcement')
@section('headerTitle','Career Opportunity')

@section('content')
<div class="container mt-5">
    <div class="d-flex justify-content-between mb-3">
        <h2>Career Opportunity</h2>
        <a class="btn btn-success" href="{{ route('career-opportunities.create') }}">Create New Opportunity</a>
    </div>

    @if ($message = Session::get('success'))
        <div class="alert alert-success">
            <p>{{ $message }}</p>
        </div>
    @endif

    <table class="table table-bordered" id="posts-table">
        <thead>
            <tr>
                <th>No</th>
                <th>Title</th>
                <th>Location</th>
                <th>Status</th>
                <th>Career Type</th>
                <th width="280px">Actions</th>
            </tr>
        </thead>
        <tbody>
            @php
                $i = 0;
            @endphp
                @foreach ($careerOpportunities as $careerOpportunity)
                <tr>
                    <td>{{ ++$i }}</td>
                    <td>{{ $careerOpportunity->title }}</td>
                    <td>{{ $careerOpportunity->location }}</td>
                    <td>{{ $careerOpportunity->status }}</td>
                    <td>{{ $careerOpportunity->career_type }}</td>
                    <td>
                        <form action="{{ route('career-opportunities.destroy', $careerOpportunity->id) }}" method="POST">
                            <a class="btn btn-info" href="{{ route('career-opportunities.show', $careerOpportunity->id) }}">Show</a>
                            <a class="btn btn-primary" href="{{ route('career-opportunities.edit', $careerOpportunity->id) }}">Edit</a>
                            @csrf
                            @method('DELETE')
                            <button type="submit" class="btn btn-danger">Delete</button>
                        </form>
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table>
    {!! $careerOpportunities->links() !!}
</div>
@endsection


