<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ASIO | @yield('title')</title>
    <!-- Font Awesome CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <!-- DataTables CSS --> 
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.21/css/jquery.dataTables.min.css">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.18/summernote-bs4.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
</head>
<body>
    <br><br>
<div class="container">
    <div class="row">
        <div class="col-md-8 offset-md-2">
            <div class="card">
                <div class="card-header">
                    {{ $careerOpportunity->title }}
                    <span class="float-right">
                        <a href="{{ route('career-opportunities.index') }}" class="btn btn-primary">Back</a>
                        <a href="{{ route('career-opportunities.edit', $careerOpportunity->id) }}" class="btn btn-success">Edit</a>
                    </span>
                </div>
                <div class="card-body">
                    <p><strong>Title:</strong> {{ $careerOpportunity->title }}</p>
                    <p><strong>Location:</strong> {{ $careerOpportunity->location }}</p>
                    <p><strong>Status:</strong> {{ $careerOpportunity->status }}</p>
                    <p><strong>Duration:</strong> {{ $careerOpportunity->duration ?: 'Not specified' }}</p>
                    <p><strong>Expiry Date:</strong> {{ $careerOpportunity->expiry_date ?: 'Not specified' }}</p>
                    <p><strong>Career Type:</strong> {{ $careerOpportunity->career_type }}</p>
                    @if ($careerOpportunity->file)
                        <p><strong>File:</strong> <a href="/storage/{{ $careerOpportunity->file }}">{{ $careerOpportunity->file }}</a></p>
                    @else
                        <p><strong>File:</strong> No file uploaded</p>
                    @endif
                </div>
            </div>
        </div>
    </div>
</div>

<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>

<!-- Bootstrap JS -->
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<!-- DataTables JS -->
<script src="https://cdn.datatables.net/1.10.21/js/jquery.dataTables.min.js"></script>
<!-- Summernote JS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.18/summernote-bs4.min.js"></script>

</body>

</html>
</body>

</html>

