<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ASIO | Jobs ({{ $career->title }})</title>

    <!-- Latest compiled and minified CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- Summernote CSS -->
    <link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <link rel="stylesheet" href="{{ asset('assets/css/style.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/career-style.css') }}">
    <style>
        .error {
            color: red
        }

        .error-message {
            color: red
        }

        /* Style the button that is used to open and close the collapsible content */
        .collapsible {
            background-color: green;
            color: white;
            cursor: pointer;
            padding: 18px;
            width: 100%;
            border: none;
            text-align: left;
            outline: none;
            font-size: 15px;
        }

        /* Add a background color to the button if it is clicked on (add the .active class with JS), and when you move the mouse over it (hover) */
        .active,
        .collapsible:hover {
            background-color: #369b37;
        }

        /* Style the collapsible content. Note: hidden by default */
        .content {
            padding: 0 18px;
            background-color: rgb(242, 242, 242);
            max-height: 0;
            overflow: hidden;

        }

        .collapse {
            padding: 10px !important;
            background-color: rgb(225, 225, 225) !important;
        }

        .collapsible:after {
            content: '\02795';
            /* Unicode character for "plus" sign (+) */
            font-size: 13px;
            color: white;
            float: right;
            margin-left: 5px;
        }

        .active:after {
            content: "\2796";
            /* Unicode character for "minus" sign (-) */
        }
    </style>
    <script>
        var currentTabIndex = 0; // Index of the currently displayed tab
        var tabNames = ['personal-information', 'address-information', 'additional-information', 'experience', 'education',
            'languages', 'skills', 'documents', 'questionnaire'
        ]; // Array of tab names

        function openCity(evt, cityName) {
            // Declare all variables
            var i, tabcontent, tablinks;

            // Get all elements with class="tabcontent" and hide them
            tabcontent = document.getElementsByClassName("tabcontent");
            for (i = 0; i < tabcontent.length; i++) {
                tabcontent[i].style.display = "none";
            }

            // Get all elements with class="tablinks" and remove the class "active"
            tablinks = document.getElementsByClassName("tablinks");
            for (i = 0; i < tablinks.length; i++) {
                tablinks[i].className = tablinks[i].className.replace(" active-tab", "");
            }

            // Show the current tab, and add an "active" class to the button that opened the tab
            document.getElementById(cityName).style.display = "block";
            evt.currentTarget.className += " active-tab";

            // Update the current tab index
            currentTabIndex = tabNames.indexOf(cityName);
        }

        function changeTab(direction) {
            // Calculate the new tab index
            currentTabIndex += direction;

            // Ensure the index wraps around
            if (currentTabIndex < 0) {
                currentTabIndex = tabNames.length - 1; // Go to the last tab
            } else if (currentTabIndex >= tabNames.length) {
                currentTabIndex = 0; // Go back to the first tab
            }

            // Open the new tab
            openCity(event, tabNames[currentTabIndex]);

            // Update active class on tabs
            updateActiveTab();
        }

        function updateActiveTab() {
            // Get all tab elements
            const tabs = document.querySelectorAll('.tablinks'); // Adjust selector to match your tab elements

            // Remove active class from all tabs
            tabs.forEach(tab => {
                tab.classList.remove('active-tab');
            });

            // Add active class to the current tab
            tabs[currentTabIndex].classList.add('active-tab');
        }

        // Call this function on page load to set the initial active tab
        function setInitialActiveTab() {
            updateActiveTab();
        }

        // Initialize the first tab
        document.addEventListener("DOMContentLoaded", function() {
            openCity(event, tabNames[currentTabIndex]);
            setInitialActiveTab();
        });
    </script>
    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">
</head>

<body>

    <div class="container-fluid">
        <nav>
            <br>
            <a class="navbar-brand" href="#">
                <img src="{{ asset('assets/img/ASIO.png') }}" alt="ASIO Logo" width="230">
            </a>
            <div class="center-title">
                <h2>{{ $career->title }}</h2>
                <h6><i class="fa fa-location-dot"></i> {{ $career->location }}</h6>
            </div>

        </nav>
    </div>
    <div class="container">
        <div class="job-center">
            <h2>Applicant Information</h2>
            <p>Please fill below data. Remember to fill out all the required informations accurately,<br> as missing
                any of the details will result in ineligibility.</p>
            <br>

            <form class="job-form was-validated" id="contestant_form">
                <div class="tab">
                    <a class="tablinks" role="button" onclick="openCity(event, 'personal-information')"><i
                            class="fa fa-1"></i>.
                        Personal
                        Information</a>
                    <a class="tablinks" role="button" onclick="openCity(event, 'address-information')"><i
                            class="fa fa-2"></i>.
                        Address
                        Information</a>
                    <a class="tablinks" role="button" onclick="openCity(event, 'additional-information')"><i
                            class="fa fa-3"></i>. Additional
                        Information</a>
                    <a class="tablinks" role="button" onclick="openCity(event, 'experience')"><i class="fa fa-4"></i>.
                        Experience</a>
                    <a class="tablinks" role="button" onclick="openCity(event, 'education')"><i class="fa fa-5"></i>.
                        Education</a>
                    <a class="tablinks" role="button" onclick="openCity(event, 'languages')"><i class="fa fa-6"></i>.
                        Languages</a>
                    <a class="tablinks" role="button" onclick="openCity(event, 'skills')"><i class="fa fa-7"></i>.
                        Skills</a>
                    <a class="tablinks" role="button" onclick="openCity(event, 'documents')"><i class="fa fa-8"></i>.
                        Documents</a>
                    <a class="tablinks" role="button" onclick="openCity(event, 'questionnaire')"><i
                            class="fa fa-9"></i>.
                        Questionnaire</a>
                </div>


                <!-- Tab content -->
                <div id="personal-information" class="tabcontent">
                    <h2>Personal Information</h2>
                    <br>
                    <div class="form-floating mb-3 mt-3">
                        <input type="text" name="f_name" id="f_name" class="form-control"
                            placeholder="First Name..." required>
                        <label for="f_name">First Name: <span style="color: red">*</span></label>
                        <div class="error-message" id="f_name_error"></div>
                    </div>
                    <div class="form-floating mb-3 mt-3">
                        <input type="text" name="l_name" id="l_name" class="form-control"
                            placeholder="Last Name..." required>
                        <label for="l_name">Last Name: <span style="color: red">*</span></label>
                        <div class="error-message" id="l_name_error"></div>

                    </div>
                    <div class="form-floating mb-3 mt-3">
                        <input type="text" name="father_name" id="father_name" class="form-control"
                            placeholder="Last Name..." required>
                        <label for="father_name">Father Name: <span style="color: red">*</span></label>
                        <div class="error-message" id="father_name_error"></div>

                    </div>
                    <div class="form-floating mb-3 mt-3">
                        <select name="gender" id="gender" class="form-control" required>
                            <option value="">Select Gender...</option>
                            <option value="male">Male</option>
                            <option value="female">Female</option>
                        </select>
                        <label for="gender">Gender:<span style="color: red">*</span></label>
                        <div class="error-message" id="gender_error"></div>
                    </div>
                    <div class="form-floating mb-3 mt-3">
                        <select name="maritalstatus" id="maritalstatus" class="form-control" required>
                            <option value="">Select Status...</option>
                            <option value="single">Single</option>
                            <option value="married">Married</option>
                        </select>
                        <label for="maritalstatus">Marital Status:<span style="color: red">*</span></label>
                        <div class="error-message" id="maritalstatus_error"></div>
                    </div>
                    <a onclick="changeTab(1)" class="asio-btn">Next <i class="fa fa-arrow-right"></i></a>
                    <br>
                    <br>
                </div>

                <div id="address-information" class="tabcontent">
                    <h2>Address Information</h2>
                    <br>

                    <input type="hidden" name="country" value="Afghanistan">
                    <h5>Present Address</h5>
                    <br>
                    <div class="form-floating mb-3 mt-3">
                        <select name="province" id="province" class="form-control" required>
                            <option value="">Select a province...</option>
                            <option value="badakhshan">Badakhshan</option>
                            <option value="badghis">Badghis</option>
                            <option value="baghlan">Baghlan</option>
                            <option value="balkh">Balkh</option>
                            <option value="bamyan">Bamyan</option>
                            <option value="daykundi">Daykundi</option>
                            <option value="farah">Farah</option>
                            <option value="faryab">Faryab</option>
                            <option value="ghazni">Ghazni</option>
                            <option value="ghor">Ghor</option>
                            <option value="helmand">Helmand</option>
                            <option value="herat">Herat</option>
                            <option value="jowzjan">Jowzjan</option>
                            <option value="kabul">Kabul</option>
                            <option value="kandahar">Kandahar</option>
                            <option value="kapisa">Kapisa</option>
                            <option value="khost">Khost</option>
                            <option value="kunar">Kunar</option>
                            <option value="kunduz">Kunduz</option>
                            <option value="laghman">Laghman</option>
                            <option value="logar">Logar</option>
                            <option value="nangarhar">Nangarhar</option>
                            <option value="nimruz">Nimruz</option>
                            <option value="nuristan">Nuristan</option>
                            <option value="paktia">Paktia</option>
                            <option value="paktika">Paktika</option>
                            <option value="panjshir">Panjshir</option>
                            <option value="parwan">Parwan</option>
                            <option value="samangan">Samangan</option>
                            <option value="sar-e-pol">Sar-e Pol</option>
                            <option value="takhar">Takhar</option>
                            <option value="uruzgan">Uruzgan</option>
                            <option value="wardak">Wardak</option>
                            <option value="zabul">Zabul</option>
                        </select>
                        <label for="province">Select Province:<span style="color: red">*</span></label>
                        <div class="error-message" id="province_error"></div>

                    </div>
                    <div class="form-floating mb-3 mt-3">
                        <input type="text" name="district" id="district" class="form-control"
                            placeholder="City / District...">
                        <label for="district">City / District: (optional)</label>
                        <div class="error-message" id="district_error"></div>

                    </div>
                    <h5>Permanent Address</h5>
                    <br>
                    <div class="form-floating mb-3 mt-3">
                        <select name="permanent_province" id="permanent_province" class="form-control" required>
                            <option value="">Select a province...</option>
                            <option value="badakhshan">Badakhshan</option>
                            <option value="badghis">Badghis</option>
                            <option value="baghlan">Baghlan</option>
                            <option value="balkh">Balkh</option>
                            <option value="bamyan">Bamyan</option>
                            <option value="daykundi">Daykundi</option>
                            <option value="farah">Farah</option>
                            <option value="faryab">Faryab</option>
                            <option value="ghazni">Ghazni</option>
                            <option value="ghor">Ghor</option>
                            <option value="helmand">Helmand</option>
                            <option value="herat">Herat</option>
                            <option value="jowzjan">Jowzjan</option>
                            <option value="kabul">Kabul</option>
                            <option value="kandahar">Kandahar</option>
                            <option value="kapisa">Kapisa</option>
                            <option value="khost">Khost</option>
                            <option value="kunar">Kunar</option>
                            <option value="kunduz">Kunduz</option>
                            <option value="laghman">Laghman</option>
                            <option value="logar">Logar</option>
                            <option value="nangarhar">Nangarhar</option>
                            <option value="nimruz">Nimruz</option>
                            <option value="nuristan">Nuristan</option>
                            <option value="paktia">Paktia</option>
                            <option value="paktika">Paktika</option>
                            <option value="panjshir">Panjshir</option>
                            <option value="parwan">Parwan</option>
                            <option value="samangan">Samangan</option>
                            <option value="sar-e-pol">Sar-e Pol</option>
                            <option value="takhar">Takhar</option>
                            <option value="uruzgan">Uruzgan</option>
                            <option value="wardak">Wardak</option>
                            <option value="zabul">Zabul</option>
                        </select>
                        <label for="permanent_province">Select Province:<span style="color: red">*</span></label>
                        <div class="error-message" id="permanent_province_error"></div>

                    </div>
                    <div class="form-floating mb-3 mt-3">
                        <input type="text" name="permanent_district" id="permanent_district" class="form-control"
                            placeholder="City / District...">
                        <label for="permanent_district">City / District: (optional)</label>
                        <div class="error-message" id="permanent_district_error"></div>

                    </div>

                    <a onclick="changeTab(-1)" class="asio-btn">
                        <i class="fa fa-arrow-left"></i>Previous
                    </a>
                    <a onclick="changeTab(1)" class="asio-btn">
                        Next <i class="fa fa-arrow-right"></i>
                    </a>
                </div>

                <div id="additional-information" class="tabcontent">
                    <h2>Additional Information</h2>
                    <br>
                    <div class="form-floating mb-3 mt-3p">
                        <input type="date" name="dob" id="dob" class="form-control"
                            placeholder="Email..." required>
                        <label for="dob">Date of Birth:<span style="color: red">*</span></label>
                        <small>Your Age: <span id="age"></span> y/o</small>
                        <small class="error" id="error-message"></small>
                        <div class="error-message" id="dob_error"></div>
                    </div>
                    <div class="form-floating mb-3 mt-3p">
                        <input type="email" name="email" id="email" class="form-control"
                            placeholder="Email..." required autocomplete="true">
                        <label for="email">Email Address:<span style="color: red">*</span></label>
                        <div class="error-message" id="email_error"></div>

                    </div>
                    <div class="form-floating mb-3 mt-3p">
                        <input type="tel" name="phone" id="phone" class="form-control"
                            placeholder="phone..." title="Phone number must start with +93 followed by 9 digits"
                            required autocomplete="true">
                        <label for="phone">Phone Number:<span style="color: red">*</span></label>
                        <small>Enter your phone number in the format including country code: Ex. +93xxxxxxxxx </small>
                        <div class="error-message" id="phone_error"></div>

                    </div>
                    <div class="form-floating mb-3 mt-3p">
                        <input type="tel" name="whatsapp" id="whatsapp" class="form-control"
                            placeholder="phone..." title="Phone number must start with +93 followed by 9 digits"
                            required autocomplete="true">
                        <label for="whatsapp">WhatsApp Number:<span style="color: red">*</span></label>
                        <small>Enter your What'sApp number in the format including country code: Ex.
                            +93xxxxxxxxx</small>
                        <div class="error-message" id="whatsapp_error"></div>

                    </div>
                    <a onclick="changeTab(-1)" class="asio-btn">
                        <i class="fa fa-arrow-left"></i>Previous
                    </a>
                    <a onclick="changeTab(1)" class="asio-btn">
                        Next <i class="fa fa-arrow-right"></i>
                    </a>
                </div>
                <div id="experience" class="tabcontent">
                    <h2>Work Experience</h2>
                    <p>Click the 'Add Experience' button to add your experiences. Please keep in mind that the numbering
                        should be consecutive.</p>

                    <div id="experienceContainer"></div>
                    <br>
                    <a class="btn btn-primary" id="addExperienceBtn"><i class="fa fa-plus"></i>Add
                        Experience</a>
                    <div class="error-message" id="experince_error"></div>
                    <br><br>
                    <a onclick="changeTab(-1)" class="asio-btn">
                        <i class="fa fa-arrow-left"></i>Previous
                    </a>
                    <a onclick="changeTab(1)" class="asio-btn">
                        Next <i class="fa fa-arrow-right"></i>
                    </a>
                </div>
                <div id="education" class="tabcontent">
                    <h2>Education</h2>
                    <p>Click the 'Add Education' button to add your education; please ensure the numbering is
                        consecutive.
                    </p>

                    <div id="educationContainer"></div>
                    <br>
                    <a class="btn btn-primary" id="addEducationBtn"><i class="fa fa-plus"></i>Add
                        Education</a>
                    <div class="error-message" id="education_error"></div>
                    <br><br>
                    <a onclick="changeTab(-1)" class="asio-btn">
                        <i class="fa fa-arrow-left"></i>Previous
                    </a>
                    <a onclick="changeTab(1)" class="asio-btn">
                        Next <i class="fa fa-arrow-right"></i>
                    </a>
                </div>

                <div id="languages" class="tabcontent">
                    <h2>Languages</h2>
                    <p>Click the "Add Language" button to add a language. Please keep in mind that the numbering should
                        be
                        consecutive.</p>
                    <div id="languageContainer"></div>

                    <br>
                    <br>
                    <a class="btn btn-primary" id="addLanguageBtn"><i class="fa fa-plus"></i>Add
                        Language</a>
                    <div class="error-message" id="language_error"></div><br><br>
                    <a onclick="changeTab(-1)" class="asio-btn">
                        <i class="fa fa-arrow-left"></i>Previous
                    </a>
                    <a onclick="changeTab(1)" class="asio-btn">
                        Next <i class="fa fa-arrow-right"></i>
                    </a>
                </div>
                <div id="skills" class="tabcontent">
                    <h2>Skills</h2>
                    <p>Click the "Add Skill" button to add a Skill. Please keep in mind that the numbering should be
                        consecutive.</p>
                    <div id="skillContainer"></div>

                    <br>
                    <br>
                    <a class="btn btn-primary" id="addskillBtn"><i class="fa fa-plus"></i>Add
                        Skill</a>
                    <div class="error-message" id="skill_error"></div><br><br>
                    <a onclick="changeTab(-1)" class="asio-btn">
                        <i class="fa fa-arrow-left"></i>Previous
                    </a>
                    <a onclick="changeTab(1)" class="asio-btn">
                        Next <i class="fa fa-arrow-right"></i>
                    </a>
                </div>
                <div id="documents" class="tabcontent">
                    <h2>Supporting Documents</h2>


                    <p><b>Note:</b> Please remember that file size should not exceed 2MBs and File should be of type
                        PDF;<br>
                        otherwise, the process will not
                        proceed
                        further. </p>


                    <br>
                    <div class="form-floating mb-3 mt-3">
                        <input type="file" name="cv" id="cv" class="form-control"
                            accept=".docx, .pdf, .xps" placeholder="CV..." required>


                        <label for="cv">Upload You CV: <span style="color: red">*</span></label>
                        <div class="error-message" id="cv_error"></div>
                        <div id="fileError" class="text-danger"></div>

                    </div>
                    <div class="form-floating mb-3 mt-3">
                        <input type="file" name="certificates" id="certificates" class="form-control"
                            accept=".docx, .pdf, .xps" placeholder="Upload Certificates..." required>
                        <label for="certificates">Upload Certificates: <span style="color: red">*</span></label>
                        <div class="error-message" id="certificates_error"></div>
                        <div id="fileError1" class="text-danger"></div>

                    </div>
                    <a onclick="changeTab(-1)" class="asio-btn">
                        <i class="fa fa-arrow-left"></i>Previous
                    </a>
                    <a onclick="changeTab(1)" class="asio-btn">
                        Next <i class="fa fa-arrow-right"></i>
                    </a>
                </div>
                <div id="questionnaire" class="tabcontent">
                    <div style="text-align: left">
                        <div class="form-floating mb-3 mt-3p">
                            <span>Have you ever been involved in any acts of sexual exploitation, harassment, or
                                abuse?<span style="color: red">*</span></span>
                            <select name="pseah_confirmation" class="form-control" id="pseah_confirmation"
                                style="border: 0px solid black" required>
                                <option value="">Select Yes or No</option>
                                <option value="yes">Yes</option>
                                <option value="no">No</option>
                            </select>
                        </div>
                        <div class="form-floating mb-3 mt-3p">
                            <span>Are any of your relatives currently employed by the Afghanistan Social Improvement
                                Organization (ASIO)?<span style="color: red">*</span></span>
                            <select name="conflict_of_inerest" class="form-control" id="conflict_of_inerest"
                                style="border: 0px solid black" required>
                                <option value="">Select Yes or No</option>
                                <option value="yes">Yes</option>
                                <option value="no">No</option>
                            </select>
                        </div>
                        <div class="form-group" style="text-align:left;">
                            <input type="checkbox" name="user_consent" id="user_consent" class="form-check-input"
                                required><span style="color: red">*</span> I hereby confirm that all the information
                            provided above is correct, and I consent to its use for the purpose of this vacancy, both
                            now
                            and in the future.
                        </div>
                        <br>
                        <input type="hidden" name="vacancy_no" value="{{ $career->vacancy_no }}">
                        <input type="hidden" name="description" value="{{ $career->title }}">
                        <input type="hidden" name="experience_count" id="experience_count">
                        <input type="hidden" name="education_count" id="education_count">
                        <input type="hidden" name="language_count" id="language_count">
                        <input type="hidden" name="skill_count" id="skill_count">
                        <br>
                        <input type="submit" value="Submit the form" id="submit_btn" class="btn btn-primary">

                    </div>
                </div>
                @csrf

        </div>

        </form>
        <br><br>
        <!-- Alert container -->
        <div id="alert-container"></div>
        {{-- <a type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#myModal">
                Open modal
              </a> --}}
        <!-- The Modal -->
        <div class="modal" id="errorModal">
            <div class="modal-dialog">
                <div class="modal-content">

                    <!-- Modal Header -->
                    <div class="modal-header">
                        <h5 class="modal-title" id="errorModalLabel">Info</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal"></button>
                    </div>

                    <!-- Modal body -->
                    <div class="modal-body" style="text-align: left">
                        {{-- <p>Please Check for any Error and Fix:</p> --}}
                        <div id="errorMessages"></div>
                    </div>

                    <!-- Modal footer -->
                    <div class="modal-footer">
                        <button type="button" class="btn btn-danger" data-bs-dismiss="modal">Close</button>
                    </div>

                </div>
            </div>
        </div>
    </div>


    </div>
    </div>

    <!-- jQuery -->
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous">
    </script>
    <!-- Latest compiled JavaScript -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.js"></script>


    <script>
        $(document).ready(function() {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });


            function validateForm() {
                const experienceAdded = checkSectionEntries('experienceContainer');
                const languageAdded = checkSectionEntries('languageContainer');
                const educationAdded = checkSectionEntries('educationContainer');
                const skillAdded = checkSectionEntries('skillContainer');




                if (!experienceAdded) {
                    // alert("Please add at least one experience entry.");
                    $('#experince_error').html('<ul><li>Please add at least one experience entry.</li></ul>');
                    $('#errorMessages').append('<ul><li>Please add at least one experience entry.</li></ul>');

                    window.location.replace('#experienceContainer');
                    // Show the modal
                    $('#errorModal').modal('show');
                } else {
                    $('#experince_error').html('');
                }
                if (!languageAdded) {
                    // alert("Please add at least one language entry.");
                    $('#language_error').html('<ul><li>Please add at least one Language entry.</li></ul>');
                    $('#errorMessages').append('<ul><li>Please add at least one Language entry.</li></ul>');
                    // Show the modal
                    $('#errorModal').modal('show');
                    window.location.replace('#languageContainer');

                } else {
                    $('#language_error').html('');
                }
                if (!educationAdded) {
                    // alert("Please add at least one education entry.");
                    $('#education_error').html('<ul><li>Please add at least one Education entry.</li></ul>');
                    $('#errorMessages').append('<ul><li>Please add at least one Education entry.</li></ul>');
                    // Show the modal
                    $('#errorModal').modal('show');
                    window.location.replace('#educationContainer');

                } else {
                    $('#education_error').html('');
                }
                if (!skillAdded) {
                    // alert("Please add at least one education entry.");
                    $('#skill_error').html('<ul><li>Please add at least one skill entry.</li></ul>');
                    $('#errorMessages').append('<ul><li>Please add at least one Skill entry.</li></ul>');
                    // Show the modal
                    $('#errorModal').modal('show');
                    window.location.replace('#skillContainer');

                } else {
                    $('#skill_error').html('');
                }
                if (experienceAdded && languageAdded && educationAdded && skillAdded) {
                    if (confirm(
                            "Form is valid and ready to submit! \nPress ok to submit if all documents and information is ok otherwise you can click cancel and edit application information.\nAfter the Submissin a confirmation Message appears and if not check for any erros in you document."
                        )) {
                        return true;
                    }
                    return false;
                }
                return false;
            }

            function checkSectionEntries(sectionId) {
                const section = document.getElementById(sectionId);
                // Assuming that each entry is wrapped in a div with class 'entry'
                const entries = section.querySelectorAll('.form-control');
                return entries.length > 0;
            }

            document.getElementById('cv').addEventListener('change', function() {
                const maxSize = 2 * 1024 * 1024; // Maximum size in bytes (2 MB)
                const fileError = document.getElementById('fileError');
                fileError.textContent = ''; // Clear any previous error message

                if (this.files && this.files.length > 0) {
                    const file = this.files[0];
                    if (file.size > maxSize) {
                        fileError.textContent =
                            `The file size exceeds the maximum limit of ${maxSize / (1024 * 1024)} MB.`;
                        this.value = ''; // Clear the selected file
                    }
                }
            });
            document.getElementById('certificates').addEventListener('change', function() {
                const maxSize = 2 * 1024 * 1024; // Maximum size in bytes (2 MB)
                const fileError = document.getElementById('fileError1');
                fileError.textContent = ''; // Clear any previous error message

                if (this.files && this.files.length > 0) {
                    const file = this.files[0];
                    if (file.size > maxSize) {
                        fileError.textContent =
                            `The file size exceeds the maximum limit of ${maxSize / (1024 * 1024)} MB.`;
                        this.value = ''; // Clear the selected file
                    }
                }
            });

            function validateInputs() {

                const fName = document.getElementById('f_name');
                const lName = document.getElementById('l_name');
                const fatherName = document.getElementById('father_name');
                const gender = document.getElementById('gender');
                const maritalStatus = document.getElementById('maritalstatus');
                const dob = document.getElementById('dob');
                const email = document.getElementById('email');
                const phone = document.getElementById('phone');
                const whatsapp = document.getElementById('whatsapp');
                const province = document.getElementById('province');
                const permanentProvince = document.getElementById('permanent_province');
                const cv = document.getElementById('cv').files[0];
                const certificates = document.getElementById('certificates').files[0];
                let errors = [];

                if (!fName.value.trim()) {
                    errors.push("First Name is required.");
                }
                if (!lName.value.trim()) {
                    errors.push("Last Name is required.");
                }
                if (!fatherName.value.trim()) {
                    errors.push("Father Name is required.");
                }
                if (!gender.value) {
                    errors.push("Gender is required.");
                }
                if (!maritalStatus.value) {
                    errors.push("Marital Status is required.");
                }
                if (!dob.value) {
                    errors.push("A valid Date of Birth is required.");
                }
                if (!email.value) {
                    errors.push("A valid Email is required.");
                }
                if (!phone.value) {
                    errors.push("A valid Phone number is required.");
                }
                if (!whatsapp.value) {
                    errors.push("A valid WhatsApp number is required.");
                }
                if (!province.value) {
                    errors.push("Province is required.");
                }
                if (!permanentProvince.value) {
                    errors.push("Permanent Province is required.");
                }
                if (!cv) {
                    errors.push("CV file is required.");
                }
                if (!certificates) {
                    errors.push("Certificates file is required.");
                }


                if (errors.empty) {
                    return true
                } else {
                    var errorMessages = errors;
                    // Clear previous messages
                    $('#errorMessages').empty();

                    // Create the list of errors
                    var errorList = '<ul>';
                    errorMessages.forEach(function(message) {
                        errorList += '<li>' + message + '</li>';
                    });
                    errorList += '</ul>';

                    // Append the error list to the errorMessages element
                    $('#errorMessages').append(errorList);

                    // Show the modal
                    $('#errorModal').modal('show');
                    return false;

                }
            }

            $('#submit_btn').click(function() {

                console.log(validateInputs());


            });
            $('#contestant_form').on('submit', function(e) {
                e.preventDefault(); // Prevent the form from submitting via the browser


                if (validateForm()) {
                    // Create a FormData object to handle file uploads
                    var formData = new FormData(this);

                    $.ajax({
                        url: '/insert_contestant', // Replace with your server endpoint
                        type: 'POST',
                        data: formData,
                        contentType: false,
                        processData: false,
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        success: function(response) {
                            // Handle success response
                            // alert('Form submitted successfully!');
                            // console.log(response);
                            $('#errorMessages').html('<div class="alert alert-success alert-dismissible show" role="alert">'+response.message+'</div>');

                               // Show the modal
                               $('#errorModal').modal('show');
                        },
                        error: function(xhr, status, error) {

                            if (xhr.status === 422) { // Unprocessable Entity
                                var errors = xhr.responseJSON.message;

                                console.log(errors);
                                // Clear previous errors
                                $('#errorMessages').html('<div class="alert alert-danger alert-dismissible show" role="alert">'+errors+'</div>');

                                // var errorMessage =
                                //     '<div class="alert alert-danger alert-dismissible fade show" role="alert"><strong>Please correct the following errors:</strong><ul>';

                             
                                //         errorMessage += '<li>' + message +
                                //             '</li>';
                                //         // Display specific errors below input fields
                                //         $('#' + key + '_error').html(
                                //             '<ul><li>' +
                                //             message + '</li></ul>');
                              
                                // errorMessage +=
                                //     '</ul><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>';

                              

                                // Show the modal
                                $('#errorModal').modal('show');
                            }
                        }
                    });
                }
            });

            function calculateAge(dob) {
                const today = new Date();
                const birthDate = new Date(dob);
                let age = today.getFullYear() - birthDate.getFullYear();
                const monthDifference = today.getMonth() - birthDate.getMonth();

                if (monthDifference < 0 || (monthDifference === 0 && today.getDate() < birthDate.getDate())) {
                    age--;
                }

                return age;
            }

            document.getElementById('dob').addEventListener('change', function() {
                const dob = this.value;
                const ageSpan = document.getElementById('age');
                const errorMessage = document.getElementById('error-message');

                if (dob) {
                    const age = calculateAge(dob);
                    ageSpan.textContent = age;

                    if (age < 18) {
                        errorMessage.textContent = 'Not Eligable: Age is less than 18.';
                    } else if (age > 60) {
                        errorMessage.textContent = 'Not Eligable: Age is greater than 60.';
                    } else {
                        errorMessage.textContent = '';
                    }
                } else {
                    ageSpan.textContent = '';
                    errorMessage.textContent = '';
                }
            });

            let educationCount = 1;

            document.getElementById('addEducationBtn').addEventListener('click', function(event) {
                event.preventDefault();
                const educationContainer = document.getElementById('educationContainer');
                $('#education_count').val(educationCount);

                const educationHTML = `
                <button type="button" class="collapsible" data-bs-toggle="collapse" data-bs-target="#demoEdu${educationCount}">Education #${educationCount}</button>
                <div class="collapse" id="demoEdu${educationCount}">
                    <div class="form-floating mb-3 mt-3">
                        <select name="degree${educationCount}" id="degree${educationCount}" class="form-control" required>
                           <option value="">Select a degree...</option>
                            <option value="PHD">PHD</option>
                            <option value="Master">Master</option>
                            <option value="Bachelor">Bachelor</option>
                            <option value="High School">High School</option>
                        </select>
                        <label for="degree${educationCount}">Degree: <span style="color: red">*</span></label>
                    </div>
                  
                    <div class="form-floating mb-3 mt-3">
                        <input type="text" name="education_level${educationCount}" id="education_level${educationCount}" class="form-control"
                            placeholder="Institution Name..." required>
                        <label for="education_level${educationCount}">Faculty Name: <span style="color: red">*</span></label>
                    </div>
                    <div class="form-floating mb-3 mt-3">
                        <input type="text" name="institution${educationCount}" id="institution${educationCount}" class="form-control"
                            placeholder="Institution Name..." required>
                        <label for="institution${educationCount}">Institution Name: <span style="color: red">*</span></label>
                    </div>
                    <div class="form-floating mb-3 mt-3">
                        <input type="date" name="edu_start_date${educationCount}" id="edu_start_date${educationCount}" class="form-control"
                            placeholder="Last Name..." required>
                        <label for="edu_start_date${educationCount}">Start Date: <span style="color: red">*</span></label>
                    </div>
                    <div class="form-floating mb-3 mt-3">
                        <input type="date" name="edu_end_date${educationCount}" id="edu_end_date${educationCount}" class="form-control"
                            placeholder="Last Name..." required>
                        <label for="edu_end_date${educationCount}">End Date: <span style="color: red">*</span></label>
                    </div>
                    <div class="form-group">
                        <input type="checkbox" name="graduated${educationCount}" id="graduated${educationCount}" class="form-check-input">
                        <label for="graduated${educationCount}" class="form-check-label">Graduated:</label>
                    </div>
                   
                    <div class="form-floating mb-3 mt-3">
                        <select name="edu_country${educationCount}" id="edu_country${educationCount}" class="form-control" required>
                             <option value="">Select a country...</option>
                        <option value="Afghanistan">Afghanistan</option>
                        <option value="Albania">Albania</option>
                        <option value="Algeria">Algeria</option>
                        <option value="American Samoa">American Samoa</option>
                        <option value="Andorra">Andorra</option>
                        <option value="Angola">Angola</option>
                        <option value="Anguilla">Anguilla</option>
                        <option value="Antarctica">Antarctica</option>
                        <option value="Antigua and Barbuda">Antigua and Barbuda</option>
                        <option value="Argentina">Argentina</option>
                        <option value="Armenia">Armenia</option>
                        <option value="Aruba">Aruba</option>
                        <option value="Australia">Australia</option>
                        <option value="Austria">Austria</option>
                        <option value="Azerbaijan">Azerbaijan</option>
                        <option value="Bahamas">Bahamas</option>
                        <option value="Bahrain">Bahrain</option>
                        <option value="Bangladesh">Bangladesh</option>
                        <option value="Barbados">Barbados</option>
                        <option value="Belarus">Belarus</option>
                        <option value="Belgium">Belgium</option>
                        <option value="Belize">Belize</option>
                        <option value="Benin">Benin</option>
                        <option value="Bermuda">Bermuda</option>
                        <option value="Bhutan">Bhutan</option>
                        <option value="Bolivia">Bolivia</option>
                        <option value="Bosnia and Herzegovina">Bosnia and Herzegovina</option>
                        <option value="Botswana">Botswana</option>
                        <option value="Brazil">Brazil</option>
                        <option value="Brunei Darussalam">Brunei Darussalam</option>
                        <option value="Bulgaria">Bulgaria</option>
                        <option value="Burkina Faso">Burkina Faso</option>
                        <option value="Burundi">Burundi</option>
                        <option value="Cambodia">Cambodia</option>
                        <option value="Cameroon">Cameroon</option>
                        <option value="Canada">Canada</option>
                        <option value="Cape Verde">Cape Verde</option>
                        <option value="Cayman Islands">Cayman Islands</option>
                        <option value="Central African Republic">Central African Republic</option>
                        <option value="Chad">Chad</option>
                        <option value="Chile">Chile</option>
                        <option value="China">China</option>
                        <option value="Colombia">Colombia</option>
                        <option value="Comoros">Comoros</option>
                        <option value="Congo">Congo</option>
                        <option value="Costa Rica">Costa Rica</option>
                        <option value="Côte d'Ivoire">Côte d'Ivoire</option>
                        <option value="Croatia">Croatia</option>
                        <option value="Cuba">Cuba</option>
                        <option value="Cyprus">Cyprus</option>
                        <option value="Czech Republic">Czech Republic</option>
                        <option value="Denmark">Denmark</option>
                        <option value="Djibouti">Djibouti</option>
                        <option value="Dominica">Dominica</option>
                        <option value="Dominican Republic">Dominican Republic</option>
                        <option value="Ecuador">Ecuador</option>
                        <option value="Egypt">Egypt</option>
                        <option value="El Salvador">El Salvador</option>
                        <option value="Equatorial Guinea">Equatorial Guinea</option>
                        <option value="Eritrea">Eritrea</option>
                        <option value="Estonia">Estonia</option>
                        <option value="Ethiopia">Ethiopia</option>
                        <option value="Fiji">Fiji</option>
                        <option value="Finland">Finland</option>
                        <option value="France">France</option>
                        <option value="Gabon">Gabon</option>
                        <option value="Gambia">Gambia</option>
                        <option value="Georgia">Georgia</option>
                        <option value="Germany">Germany</option>
                        <option value="Ghana">Ghana</option>
                        <option value="Greece">Greece</option>
                        <option value="Grenada">Grenada</option>
                        <option value="Guam">Guam</option>
                        <option value="Guatemala">Guatemala</option>
                        <option value="Guinea">Guinea</option>
                        <option value="Guinea-Bissau">Guinea-Bissau</option>
                        <option value="Guyana">Guyana</option>
                        <option value="Haiti">Haiti</option>
                        <option value="Honduras">Honduras</option>
                        <option value="Hong Kong">Hong Kong</option>
                        <option value="Hungary">Hungary</option>
                        <option value="Iceland">Iceland</option>
                        <option value="India">India</option>
                        <option value="Indonesia">Indonesia</option>
                        <option value="Iran">Iran</option>
                        <option value="Iraq">Iraq</option>
                        <option value="Ireland">Ireland</option>
                        <option value="Israel">Israel</option>
                        <option value="Italy">Italy</option>
                        <option value="Jamaica">Jamaica</option>
                        <option value="Japan">Japan</option>
                        <option value="Jordan">Jordan</option>
                        <option value="Kazakhstan">Kazakhstan</option>
                        <option value="Kenya">Kenya</option>
                        <option value="Kiribati">Kiribati</option>
                        <option value="North Korea">North Korea</option>
                        <option value="South Korea">South Korea</option>
                        <option value="Kuwait">Kuwait</option>
                        <option value="Kyrgyzstan">Kyrgyzstan</option>
                        <option value="Laos">Laos</option>
                        <option value="Latvia">Latvia</option>
                        <option value="Lebanon">Lebanon</option>
                        <option value="Lesotho">Lesotho</option>
                        <option value="Liberia">Liberia</option>
                        <option value="Libya">Libya</option>
                        <option value="Liechtenstein">Liechtenstein</option>
                        <option value="Lithuania">Lithuania</option>
                        <option value="Luxembourg">Luxembourg</option>
                        <option value="Macao">Macao</option>
                        <option value="North Macedonia">North Macedonia</option>
                        <option value="Madagascar">Madagascar</option>
                        <option value="Malawi">Malawi</option>
                        <option value="Malaysia">Malaysia</option>
                        <option value="Maldives">Maldives</option>
                        <option value="Mali">Mali</option>
                        <option value="Malta">Malta</option>
                        <option value="Marshall Islands">Marshall Islands</option>
                        <option value="Mauritania">Mauritania</option>
                        <option value="Mauritius">Mauritius</option>
                        <option value="Mexico">Mexico</option>
                        <option value="Micronesia">Micronesia</option>
                        <option value="Moldova">Moldova</option>
                        <option value="Monaco">Monaco</option>
                        <option value="Mongolia">Mongolia</option>
                        <option value="Montenegro">Montenegro</option>
                        <option value="Morocco">Morocco</option>
                        <option value="Mozambique">Mozambique</option>
                        <option value="Myanmar">Myanmar</option>
                        <option value="Namibia">Namibia</option>
                        <option value="Nauru">Nauru</option>
                        <option value="Nepal">Nepal</option>
                        <option value="Netherlands">Netherlands</option>
                        <option value="New Zealand">New Zealand</option>
                        <option value="Nicaragua">Nicaragua</option>
                        <option value="Niger">Niger</option>
                        <option value="Nigeria">Nigeria</option>
                        <option value="Norway">Norway</option>
                        <option value="Oman">Oman</option>
                        <option value="Pakistan">Pakistan</option>
                        <option value="Palau">Palau</option>
                        <option value="Palestine">Palestine</option>
                        <option value="Panama">Panama</option>
                        <option value="Papua New Guinea">Papua New Guinea</option>
                        <option value="Paraguay">Paraguay</option>
                        <option value="Peru">Peru</option>
                        <option value="Philippines">Philippines</option>
                        <option value="Poland">Poland</option>
                        <option value="Portugal">Portugal</option>
                        <option value="Qatar">Qatar</option>
                        <option value="Romania">Romania</option>
                        <option value="Russia">Russia</option>
                        <option value="Rwanda">Rwanda</option>
                        <option value="Saint Kitts and Nevis">Saint Kitts and Nevis</option>
                        <option value="Saint Lucia">Saint Lucia</option>
                        <option value="Saint Vincent and the Grenadines">Saint Vincent and the Grenadines</option>
                        <option value="Samoa">Samoa</option>
                        <option value="San Marino">San Marino</option>
                        <option value="Sao Tome and Principe">Sao Tome and Principe</option>
                        <option value="Saudi Arabia">Saudi Arabia</option>
                        <option value="Senegal">Senegal</option>
                        <option value="Serbia">Serbia</option>
                        <option value="Seychelles">Seychelles</option>
                        <option value="Sierra Leone">Sierra Leone</option>
                        <option value="Singapore">Singapore</option>
                        <option value="Slovakia">Slovakia</option>
                        <option value="Slovenia">Slovenia</option>
                        <option value="Solomon Islands">Solomon Islands</option>
                        <option value="Somalia">Somalia</option>
                        <option value="South Africa">South Africa</option>
                        <option value="Spain">Spain</option>
                        <option value="Sri Lanka">Sri Lanka</option>
                        <option value="Sudan">Sudan</option>
                        <option value="Suriname">Suriname</option>
                        <option value="Sweden">Sweden</option>
                        <option value="Switzerland">Switzerland</option>
                        <option value="Syria">Syria</option>
                        <option value="Taiwan">Taiwan</option>
                        <option value="Tajikistan">Tajikistan</option>
                        <option value="Tanzania">Tanzania</option>
                        <option value="Thailand">Thailand</option>
                        <option value="Timor-Leste">Timor-Leste</option>
                        <option value="Togo">Togo</option>
                        <option value="Tonga">Tonga</option>
                        <option value="Trinidad and Tobago">Trinidad and Tobago</option>
                        <option value="Tunisia">Tunisia</option>
                        <option value="Turkey">Turkey</option>
                        <option value="Turkmenistan">Turkmenistan</option>
                        <option value="Tuvalu">Tuvalu</option>
                        <option value="Uganda">Uganda</option>
                        <option value="Ukraine">Ukraine</option>
                        <option value="United Arab Emirates">United Arab Emirates</option>
                        <option value="United Kingdom">United Kingdom</option>
                        <option value="United States">United States</option>
                        <option value="Uruguay">Uruguay</option>
                        <option value="Uzbekistan">Uzbekistan</option>
                        <option value="Vanuatu">Vanuatu</option>
                        <option value="Venezuela">Venezuela</option>
                        <option value="Vietnam">Vietnam</option>
                        <option value="Yemen">Yemen</option>
                        <option value="Zambia">Zambia</option>
                        <option value="Zimbabwe">Zimbabwe</option>
                        </select>
                        <label for="edu_country${educationCount}">Country:<span style="color: red">*</span></label>
                    </div>
                    <div class="form-floating mb-3 mt-3">
                        <input type="text" name="edu_city${educationCount}" id="edu_city${educationCount}" class="form-control"
                            placeholder="City Name..." required>
                        <label for="edu_city${educationCount}">City / State / Provine: <span style="color: red">*</span></label>
                    </div>
                     <div class="d-flex justify-content-between mt-3">
        <button type="button" class="btn btn-primary done-btn" data-bs-toggle="collapse" data-bs-target="#demoEdu${educationCount}">
            Done
        </button>
        <button type="button" class="btn btn-danger remove-btn">
            Remove
        </button>
    </div>
                </div>

        `;

                educationContainer.insertAdjacentHTML('beforeend', educationHTML);
                educationCount++;

                $(".remove-btn").click(function(event) {
                    educationCount--;
                    event.preventDefault();
                    // Find the parent collapse container
                    const collapseDiv = this.closest('.collapse');

                    if (collapseDiv) {
                        // Get the button that toggles this collapse section
                        const toggleButton = document.querySelector(
                            `button[data-bs-target="#${collapseDiv.id}"]`);

                        // Remove the toggle button
                        if (toggleButton) {
                            toggleButton.remove();
                        }

                        // Remove the collapse container
                        collapseDiv.remove();
                    }
                });
            });




            let languageCount = 1;

            document.getElementById('addLanguageBtn').addEventListener('click', function(
                event) {
                event.preventDefault();
                $('#language_count').val(languageCount);
                const languageContainer = document.getElementById(
                    'languageContainer');

                const languageHTML = `
                <button type="button" class="collapsible" data-bs-toggle="collapse" data-bs-target="#demoLang${languageCount}">Language #${languageCount}</button>
                <div class="collapse" id="demoLang${languageCount}">

                    <div class="form-floating mb-3 mt-3">
                        <select name="language${languageCount}" id="language${languageCount}" class="form-control" required>
                            <option value="">Select a language...</option>
                          <option value="Afrikaans">Afrikaans</option>
                            <option value="Albanian">Albanian</option>
                            <option value="Amharic">Amharic</option>
                            <option value="Arabic">Arabic</option>
                            <option value="Armenian">Armenian</option>
                            <option value="Azerbaijani">Azerbaijani</option>
                            <option value="Basque">Basque</option>
                            <option value="Belarusian">Belarusian</option>
                            <option value="Bengali">Bengali</option>
                            <option value="Bosnian">Bosnian</option>
                            <option value="Bulgarian">Bulgarian</option>
                            <option value="Burmese">Burmese</option>
                            <option value="Catalan">Catalan</option>
                            <option value="Chinese (Mandarin)">Chinese (Mandarin)</option>
                            <option value="Croatian">Croatian</option>
                            <option value="Czech">Czech</option>
                            <option value="Danish">Danish</option>
                            <option value="Dutch">Dutch</option>
                            <option value="English">English</option>
                            <option value="Estonian">Estonian</option>
                            <option value="Finnish">Finnish</option>
                            <option value="French">French</option>
                            <option value="Galician">Galician</option>
                            <option value="Georgian">Georgian</option>
                            <option value="German">German</option>
                            <option value="Greek">Greek</option>
                            <option value="Gujarati">Gujarati</option>
                            <option value="Haitian Creole">Haitian Creole</option>
                            <option value="Hausa">Hausa</option>
                            <option value="Hebrew">Hebrew</option>
                            <option value="Hindi">Hindi</option>
                            <option value="Hungarian">Hungarian</option>
                            <option value="Icelandic">Icelandic</option>
                            <option value="Indonesian">Indonesian</option>
                            <option value="Irish">Irish</option>
                            <option value="Italian">Italian</option>
                            <option value="Japanese">Japanese</option>
                            <option value="Javanese">Javanese</option>
                            <option value="Kannada">Kannada</option>
                            <option value="Kazakh">Kazakh</option>
                            <option value="Khmer">Khmer</option>
                            <option value="Korean">Korean</option>
                            <option value="Kurdish">Kurdish</option>
                            <option value="Kyrgyz">Kyrgyz</option>
                            <option value="Lao">Lao</option>
                            <option value="Latvian">Latvian</option>
                            <option value="Lithuanian">Lithuanian</option>
                            <option value="Luxembourgish">Luxembourgish</option>
                            <option value="Macedonian">Macedonian</option>
                            <option value="Malagasy">Malagasy</option>
                            <option value="Malay">Malay</option>
                            <option value="Malayalam">Malayalam</option>
                            <option value="Maltese">Maltese</option>
                            <option value="Maori">Maori</option>
                            <option value="Marathi">Marathi</option>
                            <option value="Mongolian">Mongolian</option>
                            <option value="Nepali">Nepali</option>
                            <option value="Norwegian">Norwegian</option>
                            <option value="Odia (Oriya)">Odia (Oriya)</option>
                            <option value="Pashto">Pashto</option>
                            <option value="Persian">Persian</option>
                            <option value="Polish">Polish</option>
                            <option value="Portuguese">Portuguese</option>
                            <option value="Punjabi">Punjabi</option>
                            <option value="Romanian">Romanian</option>
                            <option value="Russian">Russian</option>
                            <option value="Serbian">Serbian</option>
                            <option value="Sinhala">Sinhala</option>
                            <option value="Slovak">Slovak</option>
                            <option value="Slovenian">Slovenian</option>
                            <option value="Somali">Somali</option>
                            <option value="Spanish">Spanish</option>
                            <option value="Swahili">Swahili</option>
                            <option value="Swedish">Swedish</option>
                            <option value="Tagalog">Tagalog</option>
                            <option value="Tamil">Tamil</option>
                            <option value="Telugu">Telugu</option>
                            <option value="Thai">Thai</option>
                            <option value="Turkish">Turkish</option>
                            <option value="Ukrainian">Ukrainian</option>
                            <option value="Urdu">Urdu</option>
                            <option value="Uzbek">Uzbek</option>
                            <option value="Vietnamese">Vietnamese</option>
                            <option value="Welsh">Welsh</option>
                            <option value="Xhosa">Xhosa</option>
                            <option value="Yiddish">Yiddish</option>
                            <option value="Yoruba">Yoruba</option>
                            <option value="Zulu">Zulu</option>

                        </select>

                        <label for="language${languageCount}">Language: <span style="color: red">*</span></label>
                    </div>
                    <div class="form-floating mb-3 mt-3">
                        <select name="speaking${languageCount}" id="speaking${languageCount}" class="form-control" required>
                            <option value="">Select a Level...</option>
                            <option value="hgih">High</option>
                            <option value="medium">Medium</option>
                            <option value="low">Low</option>
                        </select>
                        <label for="speaking${languageCount}">Speaking: <span style="color: red">*</span></label>
                    </div>
                    <div class="form-floating mb-3 mt-3">
                        <select name="reading${languageCount}" id="reading${languageCount}" class="form-control" required>
                            <option value="">Select a Level...</option>
                            <option value="hgih">High</option>
                            <option value="medium">Medium</option>
                            <option value="low">Low</option>
                        </select>
                        <label for="reading${languageCount}">Reading: <span style="color: red">*</span></label>
                    </div>
                    <div class="form-floating mb-3 mt-3">
                        <select name="writing${languageCount}" id="writing${languageCount}" class="form-control" required>
                            <option value="">Select a Level...</option>
                            <option value="hgih">High</option>
                            <option value="medium">Medium</option>
                            <option value="low">Low</option>
                        </select>
                        <label for="writing${languageCount}">Writing: <span style="color: red">*</span></label>
                    </div>
   <div class="d-flex justify-content-between mt-3">
        <button type="button" class="btn btn-primary done-btn" data-bs-toggle="collapse" data-bs-target="#demoLang${languageCount}">
            Done
        </button>
        <button type="button" class="btn btn-danger remove-btn">
            Remove
        </button>
    </div>
                </div>
            `;

                languageContainer.insertAdjacentHTML('beforeend', languageHTML);
                languageCount++;







                $(".remove-btn").click(function(event) {
                    languageCount--;
                    event.preventDefault();
                    // Find the parent collapse container
                    const collapseDiv = this.closest('.collapse');

                    if (collapseDiv) {
                        // Get the button that toggles this collapse section
                        const toggleButton = document.querySelector(
                            `button[data-bs-target="#${collapseDiv.id}"]`);

                        // Remove the toggle button
                        if (toggleButton) {
                            toggleButton.remove();
                        }

                        // Remove the collapse container
                        collapseDiv.remove();
                    }
                });
            });
            let skillCount = 1;

            document.getElementById('addskillBtn').addEventListener('click', function(
                event) {
                event.preventDefault();
                $('#skill_count').val(skillCount);
                const skillContainer = document.getElementById(
                    'skillContainer');

                const skillHTML = `
    <button type="button" class="collapsible" data-bs-toggle="collapse"
        data-bs-target="#demoSkill${skillCount}">Skill #${skillCount}</button>
    <div class="collapse" id="demoSkill${skillCount}">
      
        <div class="form-floating mb-3 mt-3">
            <input type="text" name="skill${skillCount}" id="skill${skillCount}"
                class="form-control" placeholder="Skill..." required>
            <label for="skill${skillCount}">Skill: <span
                    style="color: red">*</span></label>
        </div>
        <div class="form-floating mb-3 mt-3">
            <select name="skill_level${skillCount}" id="skill_level${skillCount}" class="form-control" required>
                <option value="">Select Skill Level</option>
                <option value="High">High</option>
                <option value="Medium">Medium</option>
                <option value="Low">Low</option>
            </select>

            <label for="skill${skillCount}">Skill: <span
                    style="color: red">*</span></label>
        </div>
        <div class="d-flex justify-content-between mt-3">
            <button type="button" class="btn btn-primary done-btn" data-bs-toggle="collapse"
                data-bs-target="#demoSkill${skillCount}">
                Done
            </button>
            <button type="button" class="btn btn-danger remove-btn">
                Remove
            </button>
        </div>
    </div>
    `;

                skillContainer.insertAdjacentHTML('beforeend', skillHTML);
                skillCount++;






                $(".remove-btn").click(function(event) {
                    skillCount--;
                    event.preventDefault();
                    // Find the parent collapse container
                    const collapseDiv = this.closest('.collapse');

                    if (collapseDiv) {
                        // Get the button that toggles this collapse section
                        const toggleButton = document.querySelector(
                            `button[data-bs-target="#${collapseDiv.id}"]`);

                        // Remove the toggle button
                        if (toggleButton) {
                            toggleButton.remove();
                        }

                        // Remove the collapse container
                        collapseDiv.remove();
                    }
                });
            });




            let experienceCount = 1;

            document.getElementById('addExperienceBtn').addEventListener('click', function(event) {
                event.preventDefault();
                const experienceContainer = document.getElementById('experienceContainer');
                $('#experience_count').val(experienceCount);
                const experienceHTML = `
                <button data-bs-toggle="collapse" data-bs-target="#demo${experienceCount}" class="collapsible">Experience #${experienceCount}</button>
                
                <div class="collapse" id="demo${experienceCount}">
        <div class="form-floating mb-3 mt-3">
            <input type="text" name="employer_name_${experienceCount}" id="employer_name_${experienceCount}" class="form-control" placeholder="Employer Name..." required>
            <label for="employer_name_${experienceCount}">Employer Name: <span style="color: red">*</span></label>
        </div>
        <div class="form-floating mb-3 mt-3">
            <input type="text" name="job_title_${experienceCount}" id="job_title_${experienceCount}" class="form-control" placeholder="Job Title..." required>
            <label for="job_title_${experienceCount}">Job Title: <span style="color: red">*</span></label>
        </div>
        <div class="form-floating mb-3 mt-3">
            <input type="date" name="start_date_${experienceCount}" id="start_date_${experienceCount}" class="form-control" placeholder="Start Date..." required>
            <label for="start_date_${experienceCount}">Start Date: <span style="color: red">*</span></label>
        </div>
        <div class="form-floating mb-3 mt-3">
            <input type="date" name="end_date_${experienceCount}" id="end_date_${experienceCount}" class="form-control" placeholder="End Date..." required>
            <label for="end_date_${experienceCount}">End Date: <span style="color: red">*</span></label>
        </div>
        <div class="form-group">
            <input type="checkbox" name="currently_working_${experienceCount}" id="currently_working_${experienceCount}" class="form-check-input">
            <label for="currently_working_${experienceCount}" class="form-check-label">Currently Working:</label>
        </div>
        <div class="form-floating mb-3 mt-3">
            <select name="experience_province_${experienceCount}" id="experience_province_${experienceCount}" class="form-control" required>
                <option value="">Select a province...</option>
                <option value="badakhshan">Badakhshan</option>
                <option value="badghis">Badghis</option>
                <option value="baghlan">Baghlan</option>
                <option value="balkh">Balkh</option>
                <option value="bamyan">Bamyan</option>
                <option value="daykundi">Daykundi</option>
                <option value="farah">Farah</option>
                <option value="faryab">Faryab</option>
                <option value="ghazni">Ghazni</option>
                <option value="ghor">Ghor</option>
                <option value="helmand">Helmand</option>
                <option value="herat">Herat</option>
                <option value="jowzjan">Jowzjan</option>
                <option value="kabul">Kabul</option>
                <option value="kandahar">Kandahar</option>
                <option value="kapisa">Kapisa</option>
                <option value="khost">Khost</option>
                <option value="kunar">Kunar</option>
                <option value="kunduz">Kunduz</option>
                <option value="laghman">Laghman</option>
                <option value="logar">Logar</option>
                <option value="nangarhar">Nangarhar</option>
                <option value="nimruz">Nimruz</option>
                <option value="nuristan">Nuristan</option>
                <option value="paktia">Paktia</option>
                <option value="paktika">Paktika</option>
                <option value="panjshir">Panjshir</option>
                <option value="parwan">Parwan</option>
                <option value="samangan">Samangan</option>
                <option value="sar-e-pol">Sar-e Pol</option>
                <option value="takhar">Takhar</option>
                <option value="uruzgan">Uruzgan</option>
                <option value="wardak">Wardak</option>
                <option value="zabul">Zabul</option>
            </select>
            <label for="experience_province_${experienceCount}">Job Location: <span style="color: red">*</span></label>
        </div>
        <div class="form-floating mb-3 mt-3">
            <textarea name="description_of_duties_${experienceCount}" id="description_of_duties_${experienceCount}" cols="30" rows="20" class="form-control" required></textarea>
            <label for="description_of_duties_${experienceCount}">Description of Duties: <span style="color: red">*</span></label>
        </div>
        <div class="form-floating mb-3 mt-3">
            <select name="full_time_${experienceCount}" id="full_time_${experienceCount}" class="form-control" required>
                <option value="">Select Yes or No</option>
                <option value="yes">Yes</option>
                <option value="no">No</option>
            </select>
            <label for="full_time_${experienceCount}">Full-Time: <span style="color: red">*</span></label>
        </div>
        <div class="form-group">
            <input type="checkbox" name="relative_experience_${experienceCount}" id="relative_experience_${experienceCount}" class="form-check-input">
            <label for="relative_experience_${experienceCount}" class="form-check-label">Relavant Experience:</label>
        </div>
      

        <div class="form-floating mb-3 mt-3">
            <input type="text" name="supervisor_name_${experienceCount}" id="supervisor_name_${experienceCount}" class="form-control" placeholder="Supervisor Name...">
            <label for="supervisor_name_${experienceCount}">Supervisor Name:</label>
        </div>
        <div class="form-floating mb-3 mt-3">
            <input type="email" name="supervisor_email_${experienceCount}" id="supervisor_email_${experienceCount}" class="form-control" placeholder="Supervisor Email...">
            <label for="supervisor_email_${experienceCount}">Supervisor Email: </label>
        </div>
        <div class="form-floating mb-3 mt-3">
            <input type="tel" name="supervisor_phone_${experienceCount}" id="supervisor_phone_${experienceCount}" class="form-control"   placeholder="Supervisor Phone...">
            <label for="supervisor_phone_${experienceCount}">Supervisor Phone: </label>
            <small>Enter phone number in the format including country code: Ex. +93xxxxxxxxx</small>
        </div>
        <div class="d-flex justify-content-between mt-3">
        <button type="button" class="btn btn-primary done-btn" data-bs-toggle="collapse" data-bs-target="#demo${experienceCount}">
            Done
        </button>
        <button type="button" class="btn btn-danger remove-btn">
            Remove
        </button>
    </div>
        </div>
    `;

                experienceContainer.insertAdjacentHTML('beforeend', experienceHTML);
                experienceCount++;


                $(".remove-btn").click(function(event) {
                    experienceCount--;
                    event.preventDefault();
                    // Find the parent collapse container
                    const collapseDiv = this.closest('.collapse');

                    if (collapseDiv) {
                        // Get the button that toggles this collapse section
                        const toggleButton = document.querySelector(
                            `button[data-bs-target="#${collapseDiv.id}"]`);

                        // Remove the toggle button
                        if (toggleButton) {
                            toggleButton.remove();
                        }

                        // Remove the collapse container
                        collapseDiv.remove();
                    }
                });



                var coll = document.getElementsByClassName("collapsible");

                var i;

                for (i = 0; i < coll.length; i++) {
                    coll[i].addEventListener("click", function(event) {
                        event.preventDefault();
                    });
                }
            });



        });
    </script>
    <script>
        // Example of handling form submission  
        (function() {
            'use strict';
            var forms = document.querySelectorAll('.needs-validation');
            Array.prototype.slice.call(forms).forEach(function(form) {
                form.addEventListener('submit', function(event) {
                    if (!form.checkValidity()) {
                        event.preventDefault();
                        event.stopPropagation();
                    }
                    form.classList.add('was-validated');
                }, false);
            });
        })();
    </script>
</body>

</html>
