<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ASIO | Jobs ({{ $career->title }})</title>

    <!-- Latest compiled and minified CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- Summernote CSS -->
    <link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <link rel="stylesheet" href="{{ asset('assets/css/style.css') }}">
    <style>
        .error {
            color: red
        }

        .error-message {
            color: red
        }

        /* Style the button that is used to open and close the collapsible content */
        .collapsible {
            background-color: #eee;
            color: #444;
            cursor: pointer;
            padding: 18px;
            width: 100%;
            border: none;
            text-align: left;
            outline: none;
            font-size: 15px;
        }

        /* Add a background color to the button if it is clicked on (add the .active class with JS), and when you move the mouse over it (hover) */
        .active,
        .collapsible:hover {
            background-color: #ccc;
        }

        /* Style the collapsible content. Note: hidden by default */
        .content {
            padding: 0 18px;
            background-color: rgb(242, 242, 242);
            max-height: 0;
            overflow: hidden;

        }

        .collapse {
            padding: 10px !important;
            background-color: rgb(241, 241, 241) !important;
        }

        .collapsible:after {
            content: '\02795';
            /* Unicode character for "plus" sign (+) */
            font-size: 13px;
            color: white;
            float: right;
            margin-left: 5px;
        }

        .active:after {
            content: "\2796";
            /* Unicode character for "minus" sign (-) */
        }
    </style>
    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">
</head>

<body>
    <div class="container-fluid">
        <nav>
            <a class="navbar-brand" href="#">
                <img src="{{ asset('assets/img/ASIO.png') }}" alt="ASIO Logo" width="230">
            </a>
            <div class="center-title">
                <h2>{{ $career->title }}</h2>
                <h6><i class="fa fa-location-dot"></i> {{ $career->location }}</h6>
            </div>

        </nav>
    </div>
    <div class="container mt-5">
       {!! $career->description !!}
       <a href="/career-apply{{ $career->id }}" type="button" class="asio-btn btn">Apply for this Job</a>
<br><br><br>
    </div>
    </div>

    <!-- jQuery -->
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous">
    </script>
    <!-- Latest compiled JavaScript -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.js"></script>


    <script>
        $(document).ready(function() {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });

            function validateForm() {
                const experienceAdded = checkSectionEntries('experienceContainer');
                const languageAdded = checkSectionEntries('languageContainer');
                const educationAdded = checkSectionEntries('educationContainer');
                const skillAdded = checkSectionEntries('skillContainer');

                if (!experienceAdded) {
                    // alert("Please add at least one experience entry.");
                    $('#experince_error').html('<ul><li>Please add at least one experience entry.</li></ul>');
                    window.location.replace('#experienceContainer');
                } else {
                    $('#experince_error').html('');
                }
                if (!languageAdded) {
                    // alert("Please add at least one language entry.");
                    $('#language_error').html('<ul><li>Please add at least one experience entry.</li></ul>');
                    window.location.replace('#languageContainer');

                } else {
                    $('#language_error').html('');
                }
                if (!educationAdded) {
                    // alert("Please add at least one education entry.");
                    $('#education_error').html('<ul><li>Please add at least one experience entry.</li></ul>');
                    window.location.replace('#educationContainer');

                } else {
                    $('#education_error').html('');
                }
                if (!skillAdded) {
                    // alert("Please add at least one education entry.");
                    $('#skill_error').html('<ul><li>Please add at least one skill entry.</li></ul>');
                    window.location.replace('#skillContainer');

                } else {
                    $('#skill_error').html('');
                }
                if (experienceAdded && languageAdded && educationAdded && skillAdded) {
                    if (confirm(
                            "Form is valid and ready to submit! \n Press ok to submit if all documents and information is ok otherwise you can click cancel and edit application information."
                        )) {
                        return true;
                    }
                    return false;
                }
                return false;
            }

            function checkSectionEntries(sectionId) {
                const section = document.getElementById(sectionId);
                // Assuming that each entry is wrapped in a div with class 'entry'
                const entries = section.querySelectorAll('.form-control');
                return entries.length > 0;
            }

            document.getElementById('cv').addEventListener('change', function() {
                const maxSize = 2 * 1024 * 1024; // Maximum size in bytes (2 MB)
                const fileError = document.getElementById('fileError');
                fileError.textContent = ''; // Clear any previous error message

                if (this.files && this.files.length > 0) {
                    const file = this.files[0];
                    if (file.size > maxSize) {
                        fileError.textContent =
                            `The file size exceeds the maximum limit of ${maxSize / (1024 * 1024)} MB.`;
                        this.value = ''; // Clear the selected file
                    }
                }
            });
            document.getElementById('certificates').addEventListener('change', function() {
                const maxSize = 2 * 1024 * 1024; // Maximum size in bytes (2 MB)
                const fileError = document.getElementById('fileError1');
                fileError.textContent = ''; // Clear any previous error message

                if (this.files && this.files.length > 0) {
                    const file = this.files[0];
                    if (file.size > maxSize) {
                        fileError.textContent =
                            `The file size exceeds the maximum limit of ${maxSize / (1024 * 1024)} MB.`;
                        this.value = ''; // Clear the selected file
                    }
                }
            });

            $('#contestant_form').on('submit', function(e) {
                e.preventDefault(); // Prevent the form from submitting via the browser


                if (validateForm()) {
                    // Create a FormData object to handle file uploads
                    var formData = new FormData(this);

                    $.ajax({
                        url: '/insert_contestant', // Replace with your server endpoint
                        type: 'POST',
                        data: formData,
                        contentType: false,
                        processData: false,
                        // headers: {
                        //     'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        // },
                        success: function(response) {
                            // Handle success response
                            alert('Form submitted successfully!');
                        },
                        error: function(xhr, status, error) {

                            if (xhr.status === 422) { // Unprocessable Entity
                                var errors = xhr.responseJSON.errors;


                                // Clear previous errors
                                $('#errorMessages').html('');

                                var errorMessage =
                                    '<div class="alert alert-danger alert-dismissible fade show" role="alert"><strong>Please correct the following errors:</strong><ul>';

                                // Build error message for the alert
                                $.each(errors, function(key, errorMessages) {
                                    $.each(errorMessages, function(index, message) {
                                        errorMessage += '<li>' + message +
                                            '</li>';
                                        // Display specific errors below input fields
                                        $('#' + key + '_error').html(
                                            '<ul><li>' +
                                            message + '</li></ul>');
                                    });
                                });

                                errorMessage +=
                                    '</ul><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>';

                                // Display new errors
                                $.each(errors, function(key, errorMessages) {
                                    var field = $('#' + key);
                                    var errorHtml = '<ul>';

                                    $.each(errorMessages, function(index, message) {
                                        errorHtml += '<li>' + message + '</li>';
                                    });

                                    errorHtml += '</ul>';
                                    $('#errorMessages').append('<div><strong>' + field
                                        .attr(
                                            'name') + ':</strong>' + errorHtml +
                                        '</div>');
                                });

                                // Show the modal
                                $('#errorModal').modal('show');
                            }
                        }
                    });
                }
            });

            function calculateAge(dob) {
                const today = new Date();
                const birthDate = new Date(dob);
                let age = today.getFullYear() - birthDate.getFullYear();
                const monthDifference = today.getMonth() - birthDate.getMonth();

                if (monthDifference < 0 || (monthDifference === 0 && today.getDate() < birthDate.getDate())) {
                    age--;
                }

                return age;
            }

            document.getElementById('dob').addEventListener('change', function() {
                const dob = this.value;
                const ageSpan = document.getElementById('age');
                const errorMessage = document.getElementById('error-message');

                if (dob) {
                    const age = calculateAge(dob);
                    ageSpan.textContent = age;

                    if (age < 18) {
                        errorMessage.textContent = 'Not Eligable: Age is less than 18.';
                    } else if (age > 60) {
                        errorMessage.textContent = 'Not Eligable: Age is greater than 60.';
                    } else {
                        errorMessage.textContent = '';
                    }
                } else {
                    ageSpan.textContent = '';
                    errorMessage.textContent = '';
                }
            });

            let educationCount = 1;

            document.getElementById('addEducationBtn').addEventListener('click', function(event) {
                event.preventDefault();
                const educationContainer = document.getElementById('educationContainer');
                $('#education_count').val(educationCount);

                const educationHTML = `
                <button type="button" class="collapsible" data-bs-toggle="collapse" data-bs-target="#demoEdu${educationCount}">Education #${educationCount}</button>
                <div class="collapse" id="demoEdu${educationCount}">
                    <div class="form-floating mb-3 mt-3">
                        <select name="degree${educationCount}" id="degree${educationCount}" class="form-control" required>
                           <option value="">Select a degree...</option>
                            <option value="Associate of Arts (AA)">Associate of Arts (AA)</option>
                            <option value="Associate of Science (AS)">Associate of Science (AS)</option>
                            <option value="Associate of Applied Science (AAS)">Associate of Applied Science (AAS)</option>
                            <option value="Bachelor of Arts (BA)">Bachelor of Arts (BA)</option>
                            <option value="Bachelor of Science (BS)">Bachelor of Science (BS)</option>
                            <option value="Bachelor of Fine Arts (BFA)">Bachelor of Fine Arts (BFA)</option>
                            <option value="Bachelor of Business Administration (BBA)">Bachelor of Business Administration (BBA)</option>
                            <option value="Bachelor of Engineering (BE)">Bachelor of Engineering (BE)</option>
                            <option value="Bachelor of Technology (BTech)">Bachelor of Technology (BTech)</option>
                            <option value="Bachelor of Education (BEd)">Bachelor of Education (BEd)</option>
                            <option value="Bachelor of Nursing (BN)">Bachelor of Nursing (BN)</option>
                            <option value="Master of Arts (MA)">Master of Arts (MA)</option>
                            <option value="Master of Science (MS)">Master of Science (MS)</option>
                            <option value="Master of Business Administration (MBA)">Master of Business Administration (MBA)</option>
                            <option value="Master of Fine Arts (MFA)">Master of Fine Arts (MFA)</option>
                            <option value="Master of Education (MEd)">Master of Education (MEd)</option>
                            <option value="Master of Engineering (ME)">Master of Engineering (ME)</option>
                            <option value="Master of Technology (MTech)">Master of Technology (MTech)</option>
                            <option value="Master of Laws (LLM)">Master of Laws (LLM)</option>
                            <option value="Master of Social Work (MSW)">Master of Social Work (MSW)</option>
                            <option value="Master of Philosophy (MPhil)">Master of Philosophy (MPhil)</option>
                            <option value="Doctor of Philosophy (PhD)">Doctor of Philosophy (PhD)</option>
                            <option value="Doctor of Education (EdD)">Doctor of Education (EdD)</option>
                            <option value="Doctor of Medicine (MD)">Doctor of Medicine (MD)</option>
                            <option value="Doctor of Dental Surgery (DDS)">Doctor of Dental Surgery (DDS)</option>
                            <option value="Doctor of Veterinary Medicine (DVM)">Doctor of Veterinary Medicine (DVM)</option>
                            <option value="Doctor of Laws (LLD)">Doctor of Laws (LLD)</option>
                            <option value="Doctor of Physical Therapy (DPT)">Doctor of Physical Therapy (DPT)</option>
                            <option value="Doctor of Psychology (PsyD)">Doctor of Psychology (PsyD)</option>
                            <option value="Professional Certificate">Professional Certificate</option>
                            <option value="Diploma">Diploma</option>

                            <option value="other">Other</option>
                        </select>
                        <label for="degree${educationCount}">Degree: <span style="color: red">*</span></label>
                    </div>
                    <div class="form-floating mb-3 mt-3">
                        <input type="text" name="institution${educationCount}" id="institution${educationCount}" class="form-control"
                            placeholder="Institution Name..." required>
                        <label for="institution${educationCount}">Institution Name: <span style="color: red">*</span></label>
                    </div>
                    <div class="form-floating mb-3 mt-3">
                        <input type="date" name="edu_start_date${educationCount}" id="edu_start_date${educationCount}" class="form-control"
                            placeholder="Last Name..." required>
                        <label for="edu_start_date${educationCount}">Start Date: <span style="color: red">*</span></label>
                    </div>
                    <div class="form-floating mb-3 mt-3">
                        <input type="date" name="edu_end_date${educationCount}" id="edu_end_date${educationCount}" class="form-control"
                            placeholder="Last Name..." required>
                        <label for="edu_end_date${educationCount}">End Date: <span style="color: red">*</span></label>
                    </div>
                    <div class="form-group">
                        <input type="checkbox" name="graduated${educationCount}" id="graduated${educationCount}" class="form-check-input">
                        <label for="graduated${educationCount}" class="form-check-label">Graduated:</label>
                    </div>
                    <div class="form-floating mb-3 mt-3">
                        <select name="education_level${educationCount}" id="education_level${educationCount}" class="form-control" required>
                            <option value="">Select your education level...</option>
                            <option value="No Formal Education">No Formal Education</option>
                            <option value="Primary Education">Primary Education</option>
                            <option value="Secondary Education (High School)">Secondary Education (High School)</option>
                            <option value="Some College, No Degree">Some College, No Degree</option>
                            <option value="Associate Degree">Associate Degree</option>
                            <option value="Bachelor’s Degree">Bachelor’s Degree</option>
                            <option value="Graduate Certificate">Graduate Certificate</option>
                            <option value="Master’s Degree">Master’s Degree</option>
                            <option value="Professional Degree">Professional Degree</option>
                            <option value="Doctoral Degree">Doctoral Degree</option>
                            <option value="other">Other</option>
                        </select>
                        <label for="education_level${educationCount}">Education Level: <span style="color: red">*</span></label>
                    </div>
                    <div class="form-floating mb-3 mt-3">
                        <select name="edu_country${educationCount}" id="edu_country${educationCount}" class="form-control" required>
                             <option value="">Select a country...</option>
                        <option value="Afghanistan">Afghanistan</option>
                        <option value="Albania">Albania</option>
                        <option value="Algeria">Algeria</option>
                        <option value="American Samoa">American Samoa</option>
                        <option value="Andorra">Andorra</option>
                        <option value="Angola">Angola</option>
                        <option value="Anguilla">Anguilla</option>
                        <option value="Antarctica">Antarctica</option>
                        <option value="Antigua and Barbuda">Antigua and Barbuda</option>
                        <option value="Argentina">Argentina</option>
                        <option value="Armenia">Armenia</option>
                        <option value="Aruba">Aruba</option>
                        <option value="Australia">Australia</option>
                        <option value="Austria">Austria</option>
                        <option value="Azerbaijan">Azerbaijan</option>
                        <option value="Bahamas">Bahamas</option>
                        <option value="Bahrain">Bahrain</option>
                        <option value="Bangladesh">Bangladesh</option>
                        <option value="Barbados">Barbados</option>
                        <option value="Belarus">Belarus</option>
                        <option value="Belgium">Belgium</option>
                        <option value="Belize">Belize</option>
                        <option value="Benin">Benin</option>
                        <option value="Bermuda">Bermuda</option>
                        <option value="Bhutan">Bhutan</option>
                        <option value="Bolivia">Bolivia</option>
                        <option value="Bosnia and Herzegovina">Bosnia and Herzegovina</option>
                        <option value="Botswana">Botswana</option>
                        <option value="Brazil">Brazil</option>
                        <option value="Brunei Darussalam">Brunei Darussalam</option>
                        <option value="Bulgaria">Bulgaria</option>
                        <option value="Burkina Faso">Burkina Faso</option>
                        <option value="Burundi">Burundi</option>
                        <option value="Cambodia">Cambodia</option>
                        <option value="Cameroon">Cameroon</option>
                        <option value="Canada">Canada</option>
                        <option value="Cape Verde">Cape Verde</option>
                        <option value="Cayman Islands">Cayman Islands</option>
                        <option value="Central African Republic">Central African Republic</option>
                        <option value="Chad">Chad</option>
                        <option value="Chile">Chile</option>
                        <option value="China">China</option>
                        <option value="Colombia">Colombia</option>
                        <option value="Comoros">Comoros</option>
                        <option value="Congo">Congo</option>
                        <option value="Costa Rica">Costa Rica</option>
                        <option value="Côte d'Ivoire">Côte d'Ivoire</option>
                        <option value="Croatia">Croatia</option>
                        <option value="Cuba">Cuba</option>
                        <option value="Cyprus">Cyprus</option>
                        <option value="Czech Republic">Czech Republic</option>
                        <option value="Denmark">Denmark</option>
                        <option value="Djibouti">Djibouti</option>
                        <option value="Dominica">Dominica</option>
                        <option value="Dominican Republic">Dominican Republic</option>
                        <option value="Ecuador">Ecuador</option>
                        <option value="Egypt">Egypt</option>
                        <option value="El Salvador">El Salvador</option>
                        <option value="Equatorial Guinea">Equatorial Guinea</option>
                        <option value="Eritrea">Eritrea</option>
                        <option value="Estonia">Estonia</option>
                        <option value="Ethiopia">Ethiopia</option>
                        <option value="Fiji">Fiji</option>
                        <option value="Finland">Finland</option>
                        <option value="France">France</option>
                        <option value="Gabon">Gabon</option>
                        <option value="Gambia">Gambia</option>
                        <option value="Georgia">Georgia</option>
                        <option value="Germany">Germany</option>
                        <option value="Ghana">Ghana</option>
                        <option value="Greece">Greece</option>
                        <option value="Grenada">Grenada</option>
                        <option value="Guam">Guam</option>
                        <option value="Guatemala">Guatemala</option>
                        <option value="Guinea">Guinea</option>
                        <option value="Guinea-Bissau">Guinea-Bissau</option>
                        <option value="Guyana">Guyana</option>
                        <option value="Haiti">Haiti</option>
                        <option value="Honduras">Honduras</option>
                        <option value="Hong Kong">Hong Kong</option>
                        <option value="Hungary">Hungary</option>
                        <option value="Iceland">Iceland</option>
                        <option value="India">India</option>
                        <option value="Indonesia">Indonesia</option>
                        <option value="Iran">Iran</option>
                        <option value="Iraq">Iraq</option>
                        <option value="Ireland">Ireland</option>
                        <option value="Israel">Israel</option>
                        <option value="Italy">Italy</option>
                        <option value="Jamaica">Jamaica</option>
                        <option value="Japan">Japan</option>
                        <option value="Jordan">Jordan</option>
                        <option value="Kazakhstan">Kazakhstan</option>
                        <option value="Kenya">Kenya</option>
                        <option value="Kiribati">Kiribati</option>
                        <option value="North Korea">North Korea</option>
                        <option value="South Korea">South Korea</option>
                        <option value="Kuwait">Kuwait</option>
                        <option value="Kyrgyzstan">Kyrgyzstan</option>
                        <option value="Laos">Laos</option>
                        <option value="Latvia">Latvia</option>
                        <option value="Lebanon">Lebanon</option>
                        <option value="Lesotho">Lesotho</option>
                        <option value="Liberia">Liberia</option>
                        <option value="Libya">Libya</option>
                        <option value="Liechtenstein">Liechtenstein</option>
                        <option value="Lithuania">Lithuania</option>
                        <option value="Luxembourg">Luxembourg</option>
                        <option value="Macao">Macao</option>
                        <option value="North Macedonia">North Macedonia</option>
                        <option value="Madagascar">Madagascar</option>
                        <option value="Malawi">Malawi</option>
                        <option value="Malaysia">Malaysia</option>
                        <option value="Maldives">Maldives</option>
                        <option value="Mali">Mali</option>
                        <option value="Malta">Malta</option>
                        <option value="Marshall Islands">Marshall Islands</option>
                        <option value="Mauritania">Mauritania</option>
                        <option value="Mauritius">Mauritius</option>
                        <option value="Mexico">Mexico</option>
                        <option value="Micronesia">Micronesia</option>
                        <option value="Moldova">Moldova</option>
                        <option value="Monaco">Monaco</option>
                        <option value="Mongolia">Mongolia</option>
                        <option value="Montenegro">Montenegro</option>
                        <option value="Morocco">Morocco</option>
                        <option value="Mozambique">Mozambique</option>
                        <option value="Myanmar">Myanmar</option>
                        <option value="Namibia">Namibia</option>
                        <option value="Nauru">Nauru</option>
                        <option value="Nepal">Nepal</option>
                        <option value="Netherlands">Netherlands</option>
                        <option value="New Zealand">New Zealand</option>
                        <option value="Nicaragua">Nicaragua</option>
                        <option value="Niger">Niger</option>
                        <option value="Nigeria">Nigeria</option>
                        <option value="Norway">Norway</option>
                        <option value="Oman">Oman</option>
                        <option value="Pakistan">Pakistan</option>
                        <option value="Palau">Palau</option>
                        <option value="Palestine">Palestine</option>
                        <option value="Panama">Panama</option>
                        <option value="Papua New Guinea">Papua New Guinea</option>
                        <option value="Paraguay">Paraguay</option>
                        <option value="Peru">Peru</option>
                        <option value="Philippines">Philippines</option>
                        <option value="Poland">Poland</option>
                        <option value="Portugal">Portugal</option>
                        <option value="Qatar">Qatar</option>
                        <option value="Romania">Romania</option>
                        <option value="Russia">Russia</option>
                        <option value="Rwanda">Rwanda</option>
                        <option value="Saint Kitts and Nevis">Saint Kitts and Nevis</option>
                        <option value="Saint Lucia">Saint Lucia</option>
                        <option value="Saint Vincent and the Grenadines">Saint Vincent and the Grenadines</option>
                        <option value="Samoa">Samoa</option>
                        <option value="San Marino">San Marino</option>
                        <option value="Sao Tome and Principe">Sao Tome and Principe</option>
                        <option value="Saudi Arabia">Saudi Arabia</option>
                        <option value="Senegal">Senegal</option>
                        <option value="Serbia">Serbia</option>
                        <option value="Seychelles">Seychelles</option>
                        <option value="Sierra Leone">Sierra Leone</option>
                        <option value="Singapore">Singapore</option>
                        <option value="Slovakia">Slovakia</option>
                        <option value="Slovenia">Slovenia</option>
                        <option value="Solomon Islands">Solomon Islands</option>
                        <option value="Somalia">Somalia</option>
                        <option value="South Africa">South Africa</option>
                        <option value="Spain">Spain</option>
                        <option value="Sri Lanka">Sri Lanka</option>
                        <option value="Sudan">Sudan</option>
                        <option value="Suriname">Suriname</option>
                        <option value="Sweden">Sweden</option>
                        <option value="Switzerland">Switzerland</option>
                        <option value="Syria">Syria</option>
                        <option value="Taiwan">Taiwan</option>
                        <option value="Tajikistan">Tajikistan</option>
                        <option value="Tanzania">Tanzania</option>
                        <option value="Thailand">Thailand</option>
                        <option value="Timor-Leste">Timor-Leste</option>
                        <option value="Togo">Togo</option>
                        <option value="Tonga">Tonga</option>
                        <option value="Trinidad and Tobago">Trinidad and Tobago</option>
                        <option value="Tunisia">Tunisia</option>
                        <option value="Turkey">Turkey</option>
                        <option value="Turkmenistan">Turkmenistan</option>
                        <option value="Tuvalu">Tuvalu</option>
                        <option value="Uganda">Uganda</option>
                        <option value="Ukraine">Ukraine</option>
                        <option value="United Arab Emirates">United Arab Emirates</option>
                        <option value="United Kingdom">United Kingdom</option>
                        <option value="United States">United States</option>
                        <option value="Uruguay">Uruguay</option>
                        <option value="Uzbekistan">Uzbekistan</option>
                        <option value="Vanuatu">Vanuatu</option>
                        <option value="Venezuela">Venezuela</option>
                        <option value="Vietnam">Vietnam</option>
                        <option value="Yemen">Yemen</option>
                        <option value="Zambia">Zambia</option>
                        <option value="Zimbabwe">Zimbabwe</option>
                        </select>
                        <label for="edu_country${educationCount}">Country:<span style="color: red">*</span></label>
                    </div>
                    <div class="form-floating mb-3 mt-3">
                        <input type="text" name="edu_city${educationCount}" id="edu_city${educationCount}" class="form-control"
                            placeholder="City Name..." required>
                        <label for="edu_city${educationCount}">City / State / Provine: <span style="color: red">*</span></label>
                    </div>
                     <div class="d-flex justify-content-between mt-3">
        <button type="button" class="btn btn-primary done-btn" data-bs-toggle="collapse" data-bs-target="#demoEdu${educationCount}">
            Done
        </button>
        <button type="button" class="btn btn-danger remove-btn">
            Remove
        </button>
    </div>
                </div>

        `;

                educationContainer.insertAdjacentHTML('beforeend', educationHTML);
                educationCount++;

                $(".remove-btn").click(function(event) {
                    educationCount--;
                    event.preventDefault();
                    // Find the parent collapse container
                    const collapseDiv = this.closest('.collapse');

                    if (collapseDiv) {
                        // Get the button that toggles this collapse section
                        const toggleButton = document.querySelector(
                            `button[data-bs-target="#${collapseDiv.id}"]`);

                        // Remove the toggle button
                        if (toggleButton) {
                            toggleButton.remove();
                        }

                        // Remove the collapse container
                        collapseDiv.remove();
                    }
                });
            });




            let languageCount = 1;

            document.getElementById('addLanguageBtn').addEventListener('click', function(
                event) {
                event.preventDefault();
                $('#language_count').val(languageCount);
                const languageContainer = document.getElementById(
                    'languageContainer');

                const languageHTML = `
<button type="button" class="collapsible" data-bs-toggle="collapse" data-bs-target="#demoLang${languageCount}">Language #${languageCount}</button>
                <div class="collapse" id="demoLang${languageCount}">

                    <div class="form-floating mb-3 mt-3">
                        <select name="language${languageCount}" id="language${languageCount}" class="form-control" required>
                            <option value="">Select a language...</option>
                          <option value="Afrikaans">Afrikaans</option>
                            <option value="Albanian">Albanian</option>
                            <option value="Amharic">Amharic</option>
                            <option value="Arabic">Arabic</option>
                            <option value="Armenian">Armenian</option>
                            <option value="Azerbaijani">Azerbaijani</option>
                            <option value="Basque">Basque</option>
                            <option value="Belarusian">Belarusian</option>
                            <option value="Bengali">Bengali</option>
                            <option value="Bosnian">Bosnian</option>
                            <option value="Bulgarian">Bulgarian</option>
                            <option value="Burmese">Burmese</option>
                            <option value="Catalan">Catalan</option>
                            <option value="Chinese (Mandarin)">Chinese (Mandarin)</option>
                            <option value="Croatian">Croatian</option>
                            <option value="Czech">Czech</option>
                            <option value="Danish">Danish</option>
                            <option value="Dutch">Dutch</option>
                            <option value="English">English</option>
                            <option value="Estonian">Estonian</option>
                            <option value="Finnish">Finnish</option>
                            <option value="French">French</option>
                            <option value="Galician">Galician</option>
                            <option value="Georgian">Georgian</option>
                            <option value="German">German</option>
                            <option value="Greek">Greek</option>
                            <option value="Gujarati">Gujarati</option>
                            <option value="Haitian Creole">Haitian Creole</option>
                            <option value="Hausa">Hausa</option>
                            <option value="Hebrew">Hebrew</option>
                            <option value="Hindi">Hindi</option>
                            <option value="Hungarian">Hungarian</option>
                            <option value="Icelandic">Icelandic</option>
                            <option value="Indonesian">Indonesian</option>
                            <option value="Irish">Irish</option>
                            <option value="Italian">Italian</option>
                            <option value="Japanese">Japanese</option>
                            <option value="Javanese">Javanese</option>
                            <option value="Kannada">Kannada</option>
                            <option value="Kazakh">Kazakh</option>
                            <option value="Khmer">Khmer</option>
                            <option value="Korean">Korean</option>
                            <option value="Kurdish">Kurdish</option>
                            <option value="Kyrgyz">Kyrgyz</option>
                            <option value="Lao">Lao</option>
                            <option value="Latvian">Latvian</option>
                            <option value="Lithuanian">Lithuanian</option>
                            <option value="Luxembourgish">Luxembourgish</option>
                            <option value="Macedonian">Macedonian</option>
                            <option value="Malagasy">Malagasy</option>
                            <option value="Malay">Malay</option>
                            <option value="Malayalam">Malayalam</option>
                            <option value="Maltese">Maltese</option>
                            <option value="Maori">Maori</option>
                            <option value="Marathi">Marathi</option>
                            <option value="Mongolian">Mongolian</option>
                            <option value="Nepali">Nepali</option>
                            <option value="Norwegian">Norwegian</option>
                            <option value="Odia (Oriya)">Odia (Oriya)</option>
                            <option value="Pashto">Pashto</option>
                            <option value="Persian">Persian</option>
                            <option value="Polish">Polish</option>
                            <option value="Portuguese">Portuguese</option>
                            <option value="Punjabi">Punjabi</option>
                            <option value="Romanian">Romanian</option>
                            <option value="Russian">Russian</option>
                            <option value="Serbian">Serbian</option>
                            <option value="Sinhala">Sinhala</option>
                            <option value="Slovak">Slovak</option>
                            <option value="Slovenian">Slovenian</option>
                            <option value="Somali">Somali</option>
                            <option value="Spanish">Spanish</option>
                            <option value="Swahili">Swahili</option>
                            <option value="Swedish">Swedish</option>
                            <option value="Tagalog">Tagalog</option>
                            <option value="Tamil">Tamil</option>
                            <option value="Telugu">Telugu</option>
                            <option value="Thai">Thai</option>
                            <option value="Turkish">Turkish</option>
                            <option value="Ukrainian">Ukrainian</option>
                            <option value="Urdu">Urdu</option>
                            <option value="Uzbek">Uzbek</option>
                            <option value="Vietnamese">Vietnamese</option>
                            <option value="Welsh">Welsh</option>
                            <option value="Xhosa">Xhosa</option>
                            <option value="Yiddish">Yiddish</option>
                            <option value="Yoruba">Yoruba</option>
                            <option value="Zulu">Zulu</option>

                        </select>

                        <label for="language${languageCount}">Language: <span style="color: red">*</span></label>
                    </div>
                    <div class="form-floating mb-3 mt-3">
                        <select name="speaking${languageCount}" id="speaking${languageCount}" class="form-control" required>
                            <option value="">Select a Level...</option>
                            <option value="hgih">High</option>
                            <option value="medium">Medium</option>
                            <option value="low">Low</option>
                        </select>
                        <label for="speaking${languageCount}">Speaking: <span style="color: red">*</span></label>
                    </div>
                    <div class="form-floating mb-3 mt-3">
                        <select name="reading${languageCount}" id="reading${languageCount}" class="form-control" required>
                            <option value="">Select a Level...</option>
                            <option value="hgih">High</option>
                            <option value="medium">Medium</option>
                            <option value="low">Low</option>
                        </select>
                        <label for="reading${languageCount}">Reading: <span style="color: red">*</span></label>
                    </div>
                    <div class="form-floating mb-3 mt-3">
                        <select name="writing${languageCount}" id="writing${languageCount}" class="form-control" required>
                            <option value="">Select a Level...</option>
                            <option value="hgih">High</option>
                            <option value="medium">Medium</option>
                            <option value="low">Low</option>
                        </select>
                        <label for="writing${languageCount}">Writing: <span style="color: red">*</span></label>
                    </div>
   <div class="d-flex justify-content-between mt-3">
        <button type="button" class="btn btn-primary done-btn" data-bs-toggle="collapse" data-bs-target="#demoLang${languageCount}">
            Done
        </button>
        <button type="button" class="btn btn-danger remove-btn">
            Remove
        </button>
    </div>
                </div>
            `;

                languageContainer.insertAdjacentHTML('beforeend', languageHTML);
                languageCount++;







                $(".remove-btn").click(function(event) {
                    languageCount--;
                    event.preventDefault();
                    // Find the parent collapse container
                    const collapseDiv = this.closest('.collapse');

                    if (collapseDiv) {
                        // Get the button that toggles this collapse section
                        const toggleButton = document.querySelector(
                            `button[data-bs-target="#${collapseDiv.id}"]`);

                        // Remove the toggle button
                        if (toggleButton) {
                            toggleButton.remove();
                        }

                        // Remove the collapse container
                        collapseDiv.remove();
                    }
                });
            });
            let skillCount = 1;

            document.getElementById('addskillBtn').addEventListener('click', function(
                event) {
                event.preventDefault();
                $('#skill_count').val(skillCount);
                const skillContainer = document.getElementById(
                    'skillContainer');

                const skillHTML = `
    <button type="button" class="collapsible" data-bs-toggle="collapse"
        data-bs-target="#demoSkill${skillCount}">Skill #${skillCount}</button>
    <div class="collapse" id="demoSkill${skillCount}">
      
        <div class="form-floating mb-3 mt-3">
            <input type="text" name="skill${skillCount}" id="skill${skillCount}"
                class="form-control" placeholder="Skill..." required>
            <label for="skill${skillCount}">Skill: <span
                    style="color: red">*</span></label>
        </div>
        <div class="form-floating mb-3 mt-3">
            <select name="skill_level${skillCount}" id="skill_level${skillCount}" class="form-control" required>
                <option value="">Select Skill Level</option>
                <option value="High">High</option>
                <option value="Medium">Medium</option>
                <option value="Low">Low</option>
            </select>

            <label for="skill${skillCount}">Skill: <span
                    style="color: red">*</span></label>
        </div>
        <div class="d-flex justify-content-between mt-3">
            <button type="button" class="btn btn-primary done-btn" data-bs-toggle="collapse"
                data-bs-target="#demoSkill${skillCount}">
                Done
            </button>
            <button type="button" class="btn btn-danger remove-btn">
                Remove
            </button>
        </div>
    </div>
    `;

                skillContainer.insertAdjacentHTML('beforeend', skillHTML);
                skillCount++;






                $(".remove-btn").click(function(event) {
                    skillCount--;
                    event.preventDefault();
                    // Find the parent collapse container
                    const collapseDiv = this.closest('.collapse');

                    if (collapseDiv) {
                        // Get the button that toggles this collapse section
                        const toggleButton = document.querySelector(
                            `button[data-bs-target="#${collapseDiv.id}"]`);

                        // Remove the toggle button
                        if (toggleButton) {
                            toggleButton.remove();
                        }

                        // Remove the collapse container
                        collapseDiv.remove();
                    }
                });
            });




            let experienceCount = 1;

            document.getElementById('addExperienceBtn').addEventListener('click', function(event) {
                event.preventDefault();
                const experienceContainer = document.getElementById('experienceContainer');
                $('#experience_count').val(experienceCount);
                const experienceHTML = `
                <button data-bs-toggle="collapse" data-bs-target="#demo${experienceCount}" class="collapsible">Experience #${experienceCount}</button>
                
                <div class="collapse" id="demo${experienceCount}">
        <div class="form-floating mb-3 mt-3">
            <input type="text" name="employer_name_${experienceCount}" id="employer_name_${experienceCount}" class="form-control" placeholder="Employer Name..." required>
            <label for="employer_name_${experienceCount}">Employer Name: <span style="color: red">*</span></label>
        </div>
        <div class="form-floating mb-3 mt-3">
            <input type="text" name="job_title_${experienceCount}" id="job_title_${experienceCount}" class="form-control" placeholder="Job Title..." required>
            <label for="job_title_${experienceCount}">Job Title: <span style="color: red">*</span></label>
        </div>
        <div class="form-floating mb-3 mt-3">
            <input type="date" name="start_date_${experienceCount}" id="start_date_${experienceCount}" class="form-control" placeholder="Start Date..." required>
            <label for="start_date_${experienceCount}">Start Date: <span style="color: red">*</span></label>
        </div>
        <div class="form-floating mb-3 mt-3">
            <input type="date" name="end_date_${experienceCount}" id="end_date_${experienceCount}" class="form-control" placeholder="End Date..." required>
            <label for="end_date_${experienceCount}">End Date: <span style="color: red">*</span></label>
        </div>
        <div class="form-group">
            <input type="checkbox" name="currently_working_${experienceCount}" id="currently_working_${experienceCount}" class="form-check-input">
            <label for="currently_working_${experienceCount}" class="form-check-label">Currently Working:</label>
        </div>
        <div class="form-floating mb-3 mt-3">
            <select name="experience_province_${experienceCount}" id="experience_province_${experienceCount}" class="form-control" required>
                <option value="">Select a province...</option>
                <option value="badakhshan">Badakhshan</option>
                <option value="badghis">Badghis</option>
                <option value="baghlan">Baghlan</option>
                <option value="balkh">Balkh</option>
                <option value="bamyan">Bamyan</option>
                <option value="daykundi">Daykundi</option>
                <option value="farah">Farah</option>
                <option value="faryab">Faryab</option>
                <option value="ghazni">Ghazni</option>
                <option value="ghor">Ghor</option>
                <option value="helmand">Helmand</option>
                <option value="herat">Herat</option>
                <option value="jowzjan">Jowzjan</option>
                <option value="kabul">Kabul</option>
                <option value="kandahar">Kandahar</option>
                <option value="kapisa">Kapisa</option>
                <option value="khost">Khost</option>
                <option value="kunar">Kunar</option>
                <option value="kunduz">Kunduz</option>
                <option value="laghman">Laghman</option>
                <option value="logar">Logar</option>
                <option value="nangarhar">Nangarhar</option>
                <option value="nimruz">Nimruz</option>
                <option value="nuristan">Nuristan</option>
                <option value="paktia">Paktia</option>
                <option value="paktika">Paktika</option>
                <option value="panjshir">Panjshir</option>
                <option value="parwan">Parwan</option>
                <option value="samangan">Samangan</option>
                <option value="sar-e-pol">Sar-e Pol</option>
                <option value="takhar">Takhar</option>
                <option value="uruzgan">Uruzgan</option>
                <option value="wardak">Wardak</option>
                <option value="zabul">Zabul</option>
            </select>
            <label for="experience_province_${experienceCount}">Province: <span style="color: red">*</span></label>
        </div>
        <div class="form-floating mb-3 mt-3">
            <textarea name="description_of_duties_${experienceCount}" id="description_of_duties_${experienceCount}" cols="30" rows="20" class="form-control" required></textarea>
            <label for="description_of_duties_${experienceCount}">Description of Duties: <span style="color: red">*</span></label>
        </div>
        <div class="form-floating mb-3 mt-3">
            <select name="full_time_${experienceCount}" id="full_time_${experienceCount}" class="form-control" required>
                <option value="">Select Yes or No</option>
                <option value="yes">Yes</option>
                <option value="no">No</option>
            </select>
            <label for="full_time_${experienceCount}">Full-Time: <span style="color: red">*</span></label>
        </div>
        <div class="form-group">
            <input type="checkbox" name="relative_experience_${experienceCount}" id="relative_experience_${experienceCount}" class="form-check-input">
            <label for="relative_experience_${experienceCount}" class="form-check-label">Relative Experience:</label>
        </div>
        <div class="form-floating mb-3 mt-3">
            <select name="type_of_business_${experienceCount}" id="type_of_business_${experienceCount}" class="form-control" required>
                <option value="">Select a business type...</option>
                <option value="agriculture">Agriculture</option>
                <option value="automotive">Automotive</option>
                <option value="construction">Construction</option>
                <option value="education">Education</option>
                <option value="finance">Finance</option>
                <option value="food-and-beverage">Food and Beverage</option>
                <option value="healthcare">Healthcare</option>
                <option value="hospitality">Hospitality</option>
                <option value="information-technology">Information Technology</option>
                <option value="manufacturing">Manufacturing</option>
                <option value="media-and-entertainment">Media and Entertainment</option>
                <option value="real-estate">Real Estate</option>
                <option value="retail">Retail</option>
                <option value="telecommunications">Telecommunications</option>
                <option value="transportation">Transportation</option>
                <option value="utilities">Utilities</option>
                <option value="wholesale">Wholesale</option>
                <option value="other">Other</option>
            </select>
            <label for="type_of_business_${experienceCount}">Type of Business: <span style="color: red">*</span></label>
        </div>
        <div class="form-floating mb-3 mt-3">
            <input type="text" name="supervisor_name_${experienceCount}" id="supervisor_name_${experienceCount}" class="form-control" placeholder="Supervisor Name..." required>
            <label for="supervisor_name_${experienceCount}">Supervisor Name: <span style="color: red">*</span></label>
        </div>
        <div class="form-floating mb-3 mt-3">
            <input type="email" name="supervisor_email_${experienceCount}" id="supervisor_email_${experienceCount}" class="form-control" placeholder="Supervisor Email..." required>
            <label for="supervisor_email_${experienceCount}">Supervisor Email: <span style="color: red">*</span></label>
        </div>
        <div class="form-floating mb-3 mt-3">
            <input type="tel" name="supervisor_phone_${experienceCount}" id="supervisor_phone_${experienceCount}" class="form-control"   placeholder="Supervisor Phone..." required>
            <label for="supervisor_phone_${experienceCount}">Supervisor Phone: <span style="color: red">*</span></label>
            <small>Enter phone number in the format including country code: Ex. +93xxxxxxxxx</small>
        </div>
        <div class="d-flex justify-content-between mt-3">
        <button type="button" class="btn btn-primary done-btn" data-bs-toggle="collapse" data-bs-target="#demo${experienceCount}">
            Done
        </button>
        <button type="button" class="btn btn-danger remove-btn">
            Remove
        </button>
    </div>
        </div>
    `;

                experienceContainer.insertAdjacentHTML('beforeend', experienceHTML);
                experienceCount++;


                $(".remove-btn").click(function(event) {
                    experienceCount--;
                    event.preventDefault();
                    // Find the parent collapse container
                    const collapseDiv = this.closest('.collapse');

                    if (collapseDiv) {
                        // Get the button that toggles this collapse section
                        const toggleButton = document.querySelector(
                            `button[data-bs-target="#${collapseDiv.id}"]`);

                        // Remove the toggle button
                        if (toggleButton) {
                            toggleButton.remove();
                        }

                        // Remove the collapse container
                        collapseDiv.remove();
                    }
                });



                var coll = document.getElementsByClassName("collapsible");

                var i;

                for (i = 0; i < coll.length; i++) {
                    coll[i].addEventListener("click", function(event) {
                        event.preventDefault();
                    });
                }
            });



        });
    </script>
    <script>
        // Example of handling form submission  
        (function() {
            'use strict';
            var forms = document.querySelectorAll('.needs-validation');
            Array.prototype.slice.call(forms).forEach(function(form) {
                form.addEventListener('submit', function(event) {
                    if (!form.checkValidity()) {
                        event.preventDefault();
                        event.stopPropagation();
                    }
                    form.classList.add('was-validated');
                }, false);
            });
        })();
    </script>
</body>

</html>
