@extends('layouts.admin')
@section('status2','active')
@section('title','Posts')
@section('headerTitle','Posts')

@section('content')
 
    <div class="container mt-5">
        <div class="d-flex justify-content-between mb-3">
            <h2>Posts</h2>
            <a class="btn btn-success" href="{{ route('posts.create') }}">Create New Post</a>
        </div>

        @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
        @endif

        <table class="table table-bordered" id="posts-table">
            <thead>
                <tr>
                    <th>No</th>
                    <th>Category</th>
                    <th>Title</th>
                    <th>Date</th>
                    <th>Location</th>
                    <th>Description</th>
                    <th>Image</th>
                    <th>Liked</th>
                    <th width="100px">Action</th>
                </tr>
            </thead>
            <tbody>
                @php
                    $i = 0;
                @endphp
                @foreach ($posts as $post)
                    <tr>
                        <td>{{ ++$i }}</td>
                        <td>{{ $post->category }}</td>
                        <td>{{ $post->title }}</td>
                        <td>{{ $post->date }}</td>
                        <td>{{ $post->location }}</td>
                        <td>{!!  $post->description  !!}</td>
                        <td><img src="/images/{{ $post->image }}" width="50px"></td>
                        <td>{{ $post->liked }}</td>
                        <td>
                            <form action="{{ route('posts.destroy', $post->id) }}" method="POST">
                                <a class="btn btn-small" href="{{ route('posts.show', $post->id) }}"><i class="fa fa-expand"></i></a>

                                <a class="btn btn-small" href="{{ route('posts.edit', $post->id) }}"><i class="fa fa-edit"></i></a>
                                @csrf
                                @method('DELETE')
                                <button class="btn btn-small" type="submit"><i class="fa fa-trash"></i></button>
                            </form>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>
    
@endsection
