<!DOCTYPE html>
<html>
<head>
    <title>Create Slideshow</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <!-- DataTables CSS -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.18/summernote-bs4.min.css" rel="stylesheet">
    <meta name="csrf-token" content="{{ csrf_token() }}">
</head>
<body>
    <br><br>
<div class="container">
    <div class="row">
        <div class="col-md-8 offset-md-2">
            <div class="card">
                <div class="card-header">Create Slideshow
                    <span class="float-right">
                        <a href="{{ route('slideshows.index') }}" class="btn btn-primary">Back</a>
                    </span>
                </div>
                <div class="card-body">
                    <form action="{{ route('slideshows.store') }}" method="POST" enctype="multipart/form-data">
                        @csrf
                        <div class="form-group">
                            <label for="content">Content</label>
                            <textarea id="content" name="content" class="form-control summernote" required></textarea>
                        </div>
                        <div class="form-group">
                            <label for="image">Image</label>
                            <input type="file" id="image" name="image" class="form-control">
                        </div>
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </form>
                </div>
            </div>
        </div>
    </div>

</div>

<!-- jQuery -->
<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<!-- Bootstrap JS -->
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
    integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous">
</script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.js"></script>

<script>
    $(document).ready(function() {
        $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });
        $('.summernote').summernote({
            height: 200,
            callbacks: {
                onImageUpload: function(files) {
                    var editor = $(this);
                    var url =
                        '{{ route('upload.image') }}'; // the route to the image upload controller method
                    var data = new FormData();
                    data.append('image', files[0]);

                    $.ajax({
                        url: url,
                        method: 'POST',
                        data: data,
                        processData: false,
                        contentType: false,
                        success: function(response) {
                            if (response.url) {
                                editor.summernote('insertImage', response.url);
                            }
                        },
                        error: function(response) {
                            console.log('Error uploading image: ', response);
                        }
                    });
                }
            }
        });
    });
</script>
</body>
</html>
 