@extends('layouts.admin')
@section('status4', 'active')
@section('title', 'Slideshow')
@section('headerTitle', 'Slideshow')

@section('content')
    <div class="container mt-5">
        <div class="d-flex justify-content-between mb-3">
            <h2>Slideshows</h2>
            <a href="{{ route('slideshows.create') }}" class="btn btn-success">Create New</a>

        </div>

        @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
        @endif


        <table class="table table-bordered mt-3" id="slideshow-table">
            <thead>
                <tr>
                    <th>No</th>
                    <th>Content</th>
                    <th>Image</th>
                    <th width="280px">Actions</th>
                </tr>
            </thead>
            <tbody>
                @php
                    $i =0;
                @endphp
                @foreach ($slideshows as $slideshow)
                    <tr>
                        <td>{{ ++$i }}</td>
                        <td>{!! $slideshow->content !!}</td>
                        <td>
                            @if ($slideshow->image)
                                <img src="{{ asset('images/' . $slideshow->image) }}" width="100">
                            @else
                                No image
                            @endif
                        </td>
                        <td>
                            <form action="{{ route('slideshows.destroy', $slideshow->id) }}" method="POST">
                                <a class="btn btn-info" href="{{ route('slideshows.show', $slideshow->id) }}">Show</a>
                                <a class="btn btn-primary" href="{{ route('slideshows.edit', $slideshow->id) }}">Edit</a>
                                @csrf
                                @method('DELETE')
                                <button type="submit" class="btn btn-danger">Delete</button>
                            </form>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
        {!! $slideshows->links() !!}
    </div>
    </body>

    </html>
@endsection
