@extends('layouts.admin')
@section('status7','active')
@section('title','User')
@section('headerTitle','User')

@section('content')
<div class="container">
    <h1>Users</h1>
    @if ($message = Session::get('success'))
        <div class="alert alert-success mt-3">{{ $message }}</div>
    @endif
    <a href="{{ route('users.create') }}" class="btn btn-success mb-3">Create User</a>
    <table class="table table-bordered" id="users-table">
        <thead>
            <tr>
                <th>Name</th>
                <th>Email</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($users as $user)
                <tr>
                    <td>{{ $user->name }}</td>
                    <td>{{ $user->email }}</td>
                    <td>
                        <a href="{{ route('users.edit', $user->id) }}" class="btn btn-primary">Edit</a>
                        <form action="{{ route('users.destroy', $user->id) }}" method="POST" style="display:inline-block;">
                            @csrf
                            @method('DELETE')
                            <button type="submit" class="btn btn-danger">Delete</button>
                        </form>
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table>
</div>
@endsection

