<?php

use Illuminate\Support\Facades\Route;

use App\Http\Controllers\BnfOverviewController;


/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', 'LandingPageController@maintenance')->name('welcome');
Route::get('/', 'LandingPageController@index')->name('welcome');
Route::get('/search', 'LandingPageController@search');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::resource('posts', PostController::class);

Route::resource('career-opportunities', CareerOpportunityController::class);

Route::resource('slideshows', SlideshowController::class);

Route::resource('addresses', AddressController::class)->except(['show']);

Route::resource('abouts', AboutController::class)->except(['show']);

Route::resource('users', UserController::class);

Route::get('/career', 'LandingPageController@career')->name('career');

Route::get('/procurement', 'LandingPageController@procurement')->name('procurement');


Route::get('/career-apply{id}', 'LandingPageController@career_apply');
Route::get('/career-details{id}', 'LandingPageController@career_details');

Route::post('/liked', 'LandingPageController@like')->name('like');

Route::post('/view-all-posts', 'LandingPageController@view_all_posts')->name('view-all-posts');

Route::get('/bnf_overview', [BnfOverviewController::class, 'index']);
Route::post('/bnf_overview', [BnfOverviewController::class, 'store']);
Route::get('/bnf_overview/{id}', [BnfOverviewController::class, 'edit']);
Route::post('/bnf_overviewUpdate', [BnfOverviewController::class, 'update']);
// Route::get('/bnf_overview/{id}', [BnfOverviewController::class, 'destroy']);
Route::get('/bnf_overviewfetch', 'LandingPageController@fetchData');

Route::post('/upload-image', 'PostController@uploadImage')->name('upload.image');


Route::post('/insert_contestant', 'ContestantController@index');
Route::get('/applicants', 'ContestantController@adminIndex');
Route::get('/applicants/{id}','ContestantController@show')->name('applicants.show');

Route::post('/applicants/{id}/status', 'ContestantController@updateStatus');

// web.php
Route::get('/applicant/{id}/view-file/{type}', 'ContestantController@viewFile')->name('applicant.viewFile');

Route::get('/applicant/{id}/view-fileCert/{type}', 'ContestantController@viewFileCert')->name('applicant.viewFileCert');
Route::get('/export-contestants', 'ContestantController@export')->name('export.contestants');
Route::get('/delete-contestants', 'ContestantController@deleteSelected')->name('deleteSelected.contestants');