<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ASIO | <?php echo $__env->yieldContent('title'); ?></title>
    <!-- Font Awesome CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <!-- DataTables CSS -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.21/css/jquery.dataTables.min.css">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.18/summernote-bs4.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <style>
        body {
            display: flex;
        }

        .sidebar {
            width: 250px;
            background-color: #4BC64F;
            padding: 20px;
            height: 100vh;
            position: fixed;
            transition: width 0.3s;
        }

        .sidebar.collapsed {
            width: 110px;
        }

        .sidebar.collapsed .nav-link-text {
            display: none;
        }

        .sidebar.collapsed .collapse-btn {
            margin-left: -20px;
        }

        .sidebar a {
            color: white;
            display: block;
            padding: 10px;
            text-decoration: none;
            margin-bottom: 10px;
            border-radius: 5px;
        }

        .sidebar a:hover {
            background-color: #3aa93c;
        }

        .content {
            margin-left: 16%;
            padding: 20px;
            width: 87%;
            transition: width, margin 0.3s;
        }

        .content.collapsed {
            width: 95%;
            margin-left: 6%;
        }

        .content h5 {
            color: #4BC64F;
        }

        .collapse-btn {
            background-color: transparent;
            border: none;
            color: white;
            font-size: 1.5rem;
            cursor: pointer;
            margin-bottom: 10px;
            display: block;
            float: right;
        }

        .iframe-container {
            width: 100%;
            height: 85vh;
            /* Adjust this based on your padding/margin */
            overflow-x: hidden;
        }

        .iframe-container iframe {
            width: 100%;
            height: 100%;
            border: none;
            scrollbar-width: 1px;
        }

        .logo-section {
            display: flex;
            align-items: center;
            background-color: #305E39;
            padding: 10px;
            margin-bottom: 20px;
            border-radius: 5px;
        }

        .logo-section img {
            width: 50px;
            /* Adjust the size of the logo as needed */
            height: 40px;
            margin-right: 10px;
        }

        .logo-section .nav-link-text {
            font-size: 1.5rem;
            color: white;
        }

        .header {
            background-color: #f0f0f0;
            padding: 10px;
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        .header-btns {
            display: flex;
            gap: 20px;
            /* Adjust the space between buttons */
        }

        .header-btns a {
            color: #333;
            /* Adjust button text color */
            text-decoration: none;
        }

        .header-btns a:hover {
            color: #555;
            /* Adjust button text color on hover */
        }

        .card {
            background-color: #305E39;
            color: white;
            padding: 20px;
            margin: 20px;
            border-radius: 8px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            width: 300px;
            text-align: center;
        }

        .card-icon {
            font-size: 24px;
            margin-right: 10px;
        }

        .card-number {
            font-size: 36px;
            font-weight: bold;
        }

        .card-link {
            background-color: #305E39;
            color: #fff;
            text-decoration: none;
            display: inline-block;
            padding: 10px 20px;
            margin-top: 10px;
            border-radius: 5px;
        }

        .card-link:hover {
            color: #a8c1ad;
        }

        .active {
            background-color: #305E39;
        }

        .chart-container {
            height: 300px;

        }
    </style>
</head>

<body>
    <div class="sidebar">
        <button class="collapse-btn"><i class="fas fa-bars"></i></button>
        <br><br>
        <div class="logo-section">
            <img src="../../assets/img/ASIO.png" alt="Logo">
            <h2 class="nav-link-text">ASIO</h2>
        </div>
        <a href="<?php echo e(route('home')); ?>" class="nav-link <?php echo $__env->yieldContent('status1'); ?>" data-target="dashboard.html"><i
                class="fas fa-tachometer-alt"></i> <span class="nav-link-text">Dashboard</span></a>
        <a href="<?php echo e(route('posts.index')); ?>" class="nav-link <?php echo $__env->yieldContent('status2'); ?>"><i class="fas fa-newspaper"></i> <span
                class="nav-link-text">Posts</span></a>
        <a href="<?php echo e(route('career-opportunities.index')); ?>" class="nav-link <?php echo $__env->yieldContent('status3'); ?>"><i class="fas fa-bullhorn"></i> <span
                class="nav-link-text">Announcement</span></a>
        
        <a href="<?php echo e(route('slideshows.index')); ?>" class="nav-link <?php echo $__env->yieldContent('status4'); ?>"><i class="fas fa-images"></i> <span
                class="nav-link-text">Slideshow</span></a>
        <a href="<?php echo e(route('addresses.index')); ?>" class="nav-link <?php echo $__env->yieldContent('status5'); ?>"><i class="fas fa-map-marker-alt"></i> <span
                class="nav-link-text">Address</span></a>
        <a href="<?php echo e(route('abouts.index')); ?>" class="nav-link <?php echo $__env->yieldContent('status6'); ?>"><i class="fas fa-info-circle"></i> <span
                class="nav-link-text">About</span></a>
        <a href="<?php echo e(route('users.index')); ?>" class="nav-link <?php echo $__env->yieldContent('status7'); ?>"><i class="fas fa-users"></i> <span class="nav-link-text">User</span></a>
        <a href="/bnf_overview" class="nav-link <?php echo $__env->yieldContent('status8'); ?>"><i class="fas fa-users"></i> <span class="nav-link-text">BNF Overview</span></a>
        <a href="/applicants" class="nav-link <?php echo $__env->yieldContent('status9'); ?>"><i class="fas fa-user"></i> <span class="nav-link-text">Applicants</span></a>
    </div>



    <div class="content">
        <div class="header">
            <h5>Wecome, <?php echo e(Auth::user()->name); ?></h5>
            <h4><?php echo $__env->yieldContent('headerTitle'); ?></h4>
            <div class="header-btns">
                

                <a href="<?php echo e(route('logout')); ?>" class="btn btn-light"
                    onclick="event.preventDefault(); document.getElementById('frm-logout').submit();"><i
                        class="fa fa-sign-out-alt" style="color: red;"></i></a>
                <form id="frm-logout" action="<?php echo e(route('logout')); ?>" method="POST" style="display: none;">
                    <?php echo e(csrf_field()); ?>

                </form>
            </div>
        </div>
        <?php echo $__env->yieldContent('content'); ?>
    </div>


    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>

    <!-- Bootstrap JS -->
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <!-- DataTables JS -->
    <script src="https://cdn.datatables.net/1.10.21/js/jquery.dataTables.min.js"></script>
    <!-- Summernote JS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.18/summernote-bs4.min.js"></script>

    <script>
        $(document).ready(function() {
            $('#posts-table').DataTable();
            $('#slideshow-table').DataTable();
            $('#users-table').DataTable();
            $('.summernote').summernote({
            height: 200
        });
            // Handle sidebar toggle
            $('.collapse-btn').on('click', function() {
                $('.sidebar, .content').toggleClass('collapsed');

                localStorage.setItem('sidebar-collapsed', $('.sidebar').hasClass('collapsed'));
            });

            // Load sidebar state from localStorage
            if (localStorage.getItem('sidebar-collapsed') === 'true') {
                $('.sidebar, .content').addClass('collapsed');
            } else {
                $('.sidebar, .content').removeClass('collapsed');
            }
            const visitorsData = {
                labels: ['January', 'February', 'March', 'April', 'May', 'June'],
                datasets: [{
                    label: 'Users Visited',
                    backgroundColor: 'rgba(54, 162, 235, 0.2)',
                    borderColor: 'rgba(54, 162, 235, 1)',
                    borderWidth: 1,
                    data: [200, 300, 450, 550, 400, 600] // Replace with your actual data
                }]
            };

            // Configuration for the chart
            const chartConfig = {
                type: 'line',
                data: visitorsData,
                options: {
                    scales: {
                        y: {
                            beginAtZero: true
                        }
                    }
                }
            };

            // Initialize the chart
            // var visitorsChart = new Chart(document.getElementById('visitorsChart'), chartConfig);


        });
    </script>
</body>

</html>
</body>

</html>
<?php /**PATH D:\Softwares\Web Applcations\ASIO WebPage\ASIO_web_page\asio_web\resources\views/layouts/admin.blade.php ENDPATH**/ ?>