<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ASIO | <?php echo $__env->yieldContent('title'); ?></title>
    <!-- Font Awesome CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <!-- DataTables CSS --> 
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.21/css/jquery.dataTables.min.css">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.18/summernote-bs4.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
</head>
<body>
    <br><br>
<div class="container">
    <div class="row">
        <div class="col-md-8 offset-md-2">
            <div class="card">
                <div class="card-header">
                    <?php echo e($careerOpportunity->title); ?>

                    <span class="float-right">
                        <a href="<?php echo e(route('career-opportunities.index')); ?>" class="btn btn-primary">Back</a>
                        <a href="<?php echo e(route('career-opportunities.edit', $careerOpportunity->id)); ?>" class="btn btn-success">Edit</a>
                    </span>
                </div>
                <div class="card-body">
                    <p><strong>Title:</strong> <?php echo e($careerOpportunity->title); ?></p>
                    <p><strong>Location:</strong> <?php echo e($careerOpportunity->location); ?></p>
                    <p><strong>Status:</strong> <?php echo e($careerOpportunity->status); ?></p>
                    <p><strong>Duration:</strong> <?php echo e($careerOpportunity->duration ?: 'Not specified'); ?></p>
                    <p><strong>Expiry Date:</strong> <?php echo e($careerOpportunity->expiry_date ?: 'Not specified'); ?></p>
                    <p><strong>Career Type:</strong> <?php echo e($careerOpportunity->career_type); ?></p>
                    <?php if($careerOpportunity->file): ?>
                        <p><strong>File:</strong> <a href="/storage/<?php echo e($careerOpportunity->file); ?>"><?php echo e($careerOpportunity->file); ?></a></p>
                    <?php else: ?>
                        <p><strong>File:</strong> No file uploaded</p>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
</div>

<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>

<!-- Bootstrap JS -->
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<!-- DataTables JS -->
<script src="https://cdn.datatables.net/1.10.21/js/jquery.dataTables.min.js"></script>
<!-- Summernote JS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.18/summernote-bs4.min.js"></script>

</body>

</html>
</body>

</html>

<?php /**PATH D:\Softwares\Web Applcations\ASIO WebPage\ASIO_web_page\asio_web\resources\views/career-opportunities/show.blade.php ENDPATH**/ ?>