<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo e(isset($post) ? 'Edit Post' : 'Create New Post'); ?></title>
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <!-- Summernote CSS -->
    <link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.css" rel="stylesheet">
     <!-- CSRF Token -->
     <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
</head>

<body>
    <div class="container mt-5">
        
        <div class="row">
            <div class="col-lg-12 margin-tb">
                <div class="pull-left">
                    <h2><?php echo e(isset($post) ? 'Edit Post' : 'Create New Post'); ?></h2>
                </div>
                <div class="pull-right">
                    <a class="btn btn-primary" href="<?php echo e(route('posts.index')); ?>"> Back</a>
                </div> 
            </div>
        </div>

        <?php if($errors->any()): ?>
            <div class="alert alert-danger">
                <strong>Whoops!</strong> There were some problems with your input.<br><br>
                <ul>
                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li><?php echo e($error); ?></li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
            </div>
        <?php endif; ?>

        <form action="<?php echo e(isset($post) ? route('posts.update', $post->id) : route('posts.store')); ?>" method="POST"
            enctype="multipart/form-data">
            <?php echo csrf_field(); ?>
            <?php if(isset($post)): ?>
                <?php echo method_field('PUT'); ?>
            <?php endif; ?>

            <div class="row">
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group">
                        <strong>Category:</strong>
                        
                            <select name="category" id="category" class="form-control">
                                <option value="areas_of_experties">Our Areas of Experties</option> 
                                <option value="our_activities">Our Activities</option> 
                                <option value="success_story">Success Stories</option> 
                                <option value="skill_develpment">Skill Development</option> 
                                <option value="infrastructure_develpment">Infrastructure Development                                </option> 
                                <option value="asset_creation">Asset Creation</option> 
                                <option value="livelihood_generation">Livelihood Generation</option> 
                            </select>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group">
                        <strong>Title:</strong>
                        <input type="text" name="title"
                            value="<?php echo e(old('title', isset($post) ? $post->title : '')); ?>" class="form-control"
                            placeholder="Title">
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group">
                        <strong>Date:</strong>
                        <input type="date" name="date" value="<?php echo e(old('date', isset($post) ? $post->date : '')); ?>"
                            class="form-control" placeholder="Date">
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group">
                        <strong>Location:</strong>
                        <input type="text" name="location"
                            value="<?php echo e(old('location', isset($post) ? $post->location : '')); ?>" class="form-control"
                            placeholder="Location">
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group">
                        <strong>Description:</strong>
                        <textarea class="form-control summernote" id="summernote" style="height:150px" name="description"
                            placeholder="Description"><?php echo e(old('description', isset($post) ? $post->description : '')); ?></textarea>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group">
                        <strong>Image:</strong>
                        <input type="file" name="image" class="form-control">
                        <?php if(isset($post) && $post->image): ?>
                            <img src="/images/<?php echo e($post->image); ?>" width="100px">
                        <?php endif; ?>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-12 text-center">
                    <button type="submit" class="btn btn-primary"><?php echo e(isset($post) ? 'Update' : 'Submit'); ?></button>
                </div>
            </div>
        </form>
    </div>

    <!-- jQuery -->
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous">
    </script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.js"></script>


    <script>
        $(document).ready(function() {
            $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });

            $('.summernote').summernote({
                height: 200,
                callbacks: {
                    onImageUpload: function(files) {
                        var editor = $(this);
                        var url =
                            '<?php echo e(route('upload.image')); ?>'; // the route to the image upload controller method
                        var data = new FormData();
                        data.append('image', files[0]);

                        $.ajax({
                            url: url,
                            method: 'POST',
                            data: data,
                            processData: false,
                            contentType: false,
                            success: function(response) {
                                if (response.url) {
                                    editor.summernote('insertImage', response.url);
                                }
                            },
                            error: function(response) {
                                console.log('Error uploading image: ', response);
                            }
                        });
                    }
                }
            });
        });
    </script>
</body>

</html>
<?php /**PATH D:\Softwares\Web Applcations\ASIO WebPage\ASIO_web_page\asio_web\resources\views/posts/create.blade.php ENDPATH**/ ?>