<!DOCTYPE html>
<html>
<head>
    <title>Edit About</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <!-- DataTables CSS -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.18/summernote-bs4.min.css" rel="stylesheet">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
</head>
<body>
<div class="container mt-5">
    <h1>Edit About</h1>
    <form action="<?php echo e(route('abouts.update', $about->id)); ?>" method="POST">
        <?php echo csrf_field(); ?>
        <?php echo method_field('PUT'); ?>
        <div class="form-group">
            <label for="about_us">About Us</label>
            <textarea id="about_us" name="about_us" class="form-control summernote" required><?php echo e($about->about_us); ?></textarea>
        </div>
        <div class="form-group">
            <label for="our_vission">Our Vission</label>
            <textarea id="our_vission" name="our_vission" class="form-control summernote" required><?php echo e($about->our_vission); ?></textarea>
        </div>
        <div class="form-group">
            <label for="our_mission">Our Mission</label>
            <textarea id="our_mission" name="our_mission" class="form-control summernote" required><?php echo e($about->our_mission); ?></textarea>
        </div>
        <div class="form-group">
            <label for="our_core_values">Our Core Values</label>
            <textarea id="our_core_values" name="our_core_values" class="form-control summernote" required><?php echo e($about->our_core_values); ?></textarea>
        </div>
        <div class="form-group">
            <label for="our_strategy">Our Strategy</label>
            <textarea id="our_strategy" name="our_strategy" class="form-control summernote" required><?php echo e($about->our_strategy); ?></textarea>
        </div>
        <div class="form-group">
            <label for="our_commitment">Our Commitment</label>
            <textarea id="our_commitment" name="our_commitment" class="form-control summernote" required><?php echo e($about->our_commitment); ?></textarea>
        </div>
        <button type="submit" class="btn btn-primary">Update</button>
    </form>
</div>
<br><br>
<!-- jQuery -->
<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<!-- Bootstrap JS -->
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
    integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous">
</script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.js"></script>

<script>
    $(document).ready(function() {
        $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });
        $('.summernote').summernote({
            height: 200,
            callbacks: {
                onImageUpload: function(files) {
                    var editor = $(this);
                    var url =
                        '<?php echo e(route('upload.image')); ?>'; // the route to the image upload controller method
                    var data = new FormData();
                    data.append('image', files[0]);

                    $.ajax({
                        url: url,
                        method: 'POST',
                        data: data,
                        processData: false,
                        contentType: false,
                        success: function(response) {
                            if (response.url) {
                                editor.summernote('insertImage', response.url);
                            }
                        },
                        error: function(response) {
                            console.log('Error uploading image: ', response);
                        }
                    });
                }
            }
        });
    });
</script>
</body>
</html>

<?php /**PATH D:\Softwares\Web Applcations\ASIO WebPage\ASIO_web_page\asio_web\resources\views/abouts/edit.blade.php ENDPATH**/ ?>