<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo e(isset($post) ? 'Edit Post' : 'Create New Post'); ?></title>
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <!-- Summernote CSS -->
    <link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.css" rel="stylesheet">
    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
</head>

<body>
    <br><br>
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="card"> 
                    <div class="card-header">
                        <h5><?php echo e($post->title); ?></h5>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <p><strong>Category:</strong> <?php echo e($post->category); ?></p>
                                <p><strong>Date:</strong> <?php echo e($post->date); ?></p>
                                <p><strong>Location:</strong> <?php echo e($post->location); ?></p>
                                <p><strong>Description:</strong></p>
                                <div><?php echo $post->description; ?></div>
                                <p><strong>Likes:</strong> <?php echo e($post->liked); ?></p>
                            </div>
                            <div class="col-md-6">
                                <?php if($post->image): ?>
                                    <img src="/images/<?php echo e($post->image); ?>" class="img-fluid" alt="Post Image">
                                <?php else: ?>
                                    <p>No image available</p>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                    <div class="card-footer">
                        <a href="<?php echo e(route('posts.index')); ?>" class="btn btn-primary">Back to Posts</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- jQuery -->
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <!-- Bootstrap JS -->


</body>

</html>
<?php /**PATH D:\Softwares\Web Applcations\ASIO WebPage\ASIO_web_page\asio_web\resources\views/posts/show.blade.php ENDPATH**/ ?>