<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo e($applicant->f_name); ?> <?php echo e($applicant->l_name); ?> - CV</title>

    <!-- Latest compiled and minified CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- Summernote CSS -->
    <link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <style>
        body {
            font-family: Arial, sans-serif;
            line-height: 1.6;
            margin: 0;
            padding: 20px;
            background-color: #f4f4f4;
        }

        .container {
            max-width: 800px;
            margin: 0 auto;
            background-color: #fff;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }

        h1,
        h2,
        h3 {
            border-bottom: 2px solid #ccc;
            padding-bottom: 5px;
            color: #333;
        }

        .section {
            margin-bottom: 20px;
        }

        .section ul {
            list-style: none;
            padding: 0;
        }

        .section ul li {
            margin-bottom: 10px;
        }

        .header {
            text-align: center;
            margin-bottom: 40px;
        }

        .header h1 {
            margin: 0;
            font-size: 2.5em;
        }

        .header p {
            font-size: 1.2em;
            color: #555;
        }
    </style>
</head>

<body>
    <div class="container">
        <a href="/applicants" class="btn btn-primary">Back to Main Page</a>

        <div style="float: right">

            <select name="status" id="status" class="form-control">
                <option value="">Select Status</option>
                <option value="Shortlist" <?php echo e($applicant->status == 'Shortlist' ? 'selected' : ''); ?>>Shortlist</option>
                <option value="Longlist" <?php echo e($applicant->status == 'Longlist' ? 'selected' : ''); ?>>Longlist</option>
                <option value="Reject" <?php echo e($applicant->status == 'Reject' ? 'selected' : ''); ?>>Reject</option>
            </select>
        </div>
        <input type="hidden" name="applicant_id" id="applicant_id" value="<?php echo e($applicant->id); ?>">
        <!-- Navigation Buttons -->
        <div style="text-align: left; margin-top: 20px;">
            <?php if($previousApplicantId): ?>
                <a href="<?php echo e(route('applicants.show', $previousApplicantId)); ?>" class="btn btn-secondary">Previous</a>
            <?php endif; ?>

            <?php if($nextApplicantId): ?>
                <a href="<?php echo e(route('applicants.show', $nextApplicantId)); ?>" class="btn btn-primary">Next</a>
            <?php endif; ?>
        </div>
        <div class="header">
            <h1><?php echo e($applicant->f_name); ?> <?php echo e($applicant->l_name); ?></h1>
            <p>Applied for vacancy no: <strong><?php echo e($applicant->vacancy_no); ?></strong></p>
            <p><?php echo e($applicant->email); ?> | <?php echo e($applicant->phone); ?></p>
        </div>

        <div class="section">
            <h3>Personal Information</h3>
            <table class="table">
                <tr>
                    <td>Full Name:</td>
                    <td><strong><?php echo e($applicant->f_name); ?> <?php echo e($applicant->l_name); ?></strong></td>
                    <td>Date of Birth:</td>
                    <td><strong><?php echo e($applicant->dob); ?></strong></td>
                </tr>
                <tr>
                    <td>Gender:</td>
                    <td><strong><?php echo e($applicant->gender); ?></strong></td>
                    <td>Email:</td>
                    <td><strong><?php echo e($applicant->email); ?></strong></td>
                </tr>
                <tr>
                    <td>Marital Status:</td>
                    <td><strong><?php echo e($applicant->marital_status); ?></strong></td>
                    <td>Phone:</td>
                    <td><strong><?php echo e($applicant->phone); ?></strong></td>
                </tr>
                <tr>
                    <td>Father Name:</td>
                    <td><strong><?php echo e($applicant->father_name); ?></strong></td>
                    <td>WhatsApp:</td>
                    <td><strong><?php echo e($applicant->whatsapp); ?></strong></td>
                </tr>
            </table>
        </div>
        <div class="section">
            <h3>Address Information</h3>
            <table class="table">
                <h5>Permanent Address</h5>
                <tr>
                    <td colspan="2">Country: <strong><?php echo e($applicant->country); ?></strong></td>
                </tr>
                <tr>
                   
                    <td>Province:</td>
                    <td><strong><?php echo e($applicant->permanent_province); ?></strong></td>
                </tr>
                <tr>
                    <td >District:</td>
                    <td><strong><?php echo e($applicant->permanent_district); ?></strong></td>

                </tr>
                <tr><td colspan="2"><h5>Present Address</h5></td></tr>
                <tr>
                    
                    <td>Province:</td>
                    <td><strong><?php echo e($applicant->province); ?></strong></td>
                </tr>
                <tr>
                    <td>District:</td>
                    <td><strong><?php echo e($applicant->district); ?></strong></td>
                </tr>
            </table>
        </div>

        <div class="section">
            <h3>Education</h3>
            <ol>
                <?php $__currentLoopData = $applicant->education; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $edu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <li>

                        <strong><?php echo e($edu->degree); ?></strong> from <?php echo e($edu->institution_name); ?>

                        (<?php echo e($edu->start_date); ?> -
                        <?php echo e($edu->end_date); ?>)

                        <ul  style="padding-left: 20px">
                            <li>Education Level: <strong><?php echo e($edu->education_level); ?></strong></li>
                            <li>Country: <strong><?php echo e($edu->country); ?></strong></li>
                            <li>City / Province / State: <strong><?php echo e($edu->province); ?></strong></li>
                            <li> Grduated:<input type="checkbox" name="graduated" id="graduated"
                                <?php if($edu->graduated == 'true' || $edu->graduated == 'on'): ?> checked <?php endif; ?> disabled></li>
                        </ul>
                       
                    </li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ol>
        </div>

        <div class="section">
            <h3>Experience</h3>
            
           
            <ol>
                <?php
                    $i=0;
                    $r=0;
                ?>
                <?php $__currentLoopData = $applicant->experience; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $exp): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php if($exp->relative_experience == 'on'): ?>
                    <?php
                    $startDate1 = $exp->start_date;
                    $endDate1 = $exp->end_date;

                    $startYear1 = date('Y', strtotime($startDate1));
                    $endYear1 = date('Y', strtotime($endDate1));

                    $startMonth1 = date('m', strtotime($startDate1));
                    $endMonth1 = date('m', strtotime($endDate1));
                    $months1 =  $endMonth1 - $startMonth1;
                
                    $years1 = ($endYear1 - $startYear1);
                    $r+=$years1;
                ?>
                <?php endif; ?>
                    
                    <?php
                        $startDate = $exp->start_date;
                        $endDate = $exp->end_date;

                        $startYear = date('Y', strtotime($startDate));
                        $endYear = date('Y', strtotime($endDate));

                        $startMonth = date('m', strtotime($startDate));
                        $endMonth = date('m', strtotime($endDate));
                        $months =  $endMonth - $startMonth;
                        if($exp->relative_experience == 'on'){

                        }
                        $years = ($endYear - $startYear);
                        $i+=$years;
                    ?>
                    <li>

                        <strong><?php echo e($exp->job_title); ?></strong> at <?php echo e($exp->employer_name); ?> (<?php echo e($exp->start_date); ?> -
                        <?php echo e($exp->end_date); ?>) <?php echo e($years); ?> Years of Experience | Relative Experience : <input type="checkbox" name="relative_experience" id="relative_experience"
                        <?php if($exp->relative_experience == 'true' || $exp->relative_experience == 'on'): ?> checked <?php endif; ?> disabled>

                        <ul style="padding-left: 20px">
                            <li><strong>Description Of Duties:</strong></li>
                            <li><?php echo $exp->description_of_duties; ?></li>
                        </ul>
                    </li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ol>
            <h5>Overall Experience: <?php echo e($i); ?> Years + <?php echo e($months ?? 0); ?> Month</h5>
            <h5>Relative Experience: <?php echo e($r); ?> Years + <?php echo e($months1 ?? 0); ?> Month</h5>

        </div>
        <div class="section">
            <h3>Skills</h3>
            <table class="table">
                <?php $__currentLoopData = $applicant->skills; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $skill_no): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($skill_no->skill); ?></td>

                        <td><?php echo e($skill_no->skill_level); ?></td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </table>
        </div>
        <div class="section">
            <h3>Languages</h3>
            <table class="table">
                <thead>
                    <tr>
                        <th>Language</th>
                        <th>Speaking</th>
                        <th>Reading</th>
                        <th>Writing</th>
                    </tr>
                </thead>
                <tbody>
                    <?php $__currentLoopData = $applicant->languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        
                        <tr>
                            <td><?php echo e($language->language); ?></td>

                            <td><?php echo e($language->speaking); ?></td>
                            <td><?php echo e($language->reading); ?></td>
                            <td><?php echo e($language->writing); ?></td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                </tbody>

            </table>
            <ul>

            </ul>
        </div>
        <div class="section">
            <h3>Supporting Documents</h3>
            <table class="table">
                <tr>
                    <td>
                        <a href="<?php echo e(route('applicant.viewFile', ['id' => $applicant->id, 'type' => 'pdf'])); ?>"
                            target="_blank">
                            <i class="fa fa-file" style="color: blue;font-size:60px"></i>
                            <br>
                            View CV
                        </a>

                    </td>
                    <td>
                        <a href="<?php echo e(route('applicant.viewFileCert', ['id' => $applicant->id, 'type' => 'pdf'])); ?>"
                            target="_blank">
                            <i class="fa fa-file" style="color: blue;font-size:60px"></i>
                            <br>
                            Certificates
                        </a>

                    </td>
                </tr>
            </table>
        </div>


    </div>
    <!-- Include DataTables CSS -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.21/css/jquery.dataTables.min.css">
    <!-- Include jQuery -->
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <!-- Include DataTables JS -->
    <script src="https://cdn.datatables.net/1.10.21/js/jquery.dataTables.min.js"></script>
    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous">
    </script>
    <!-- Latest compiled JavaScript -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.js"></script>

    <script>
        $(document).ready(function() {
            $('#status').on('change', function() {
                var status = $('#status').val();
                var applicantId = $('#applicant_id').val();

                if (status === '') {
                    alert('Please select a status.');
                    return;
                }

                $.ajax({
                    url: '/applicants/' + applicantId + '/status',
                    type: 'POST',
                    data: {
                        _token: '<?php echo e(csrf_token()); ?>', // Include CSRF token
                        status: status
                    },
                    success: function(response) {
                        // Handle success
                        alert('Status updated successfully!');
                    },
                    error: function(xhr) {
                        // Handle error
                        alert('An error occurred: ' + xhr.responseText);
                    }
                });
            });
        });
    </script>
</body>

</html>
<?php /**PATH D:\Softwares\Web Applcations\ASIO WebPage\ASIO_web_page\asio_web\resources\views/applicants/show.blade.php ENDPATH**/ ?>