<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ASIO | <?php echo $__env->yieldContent('title'); ?></title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <!-- DataTables CSS -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.21/css/jquery.dataTables.min.css">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.18/summernote-bs4.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
       <!-- Bootstrap CSS -->
       <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
       <!-- Summernote CSS -->
       <link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.css" rel="stylesheet">

</head>
<body>
    <br><br>
<div class="container">
    <div class="row">
        <div class="col-md-8 offset-md-2">
            <div class="card">
                <div class="card-header">Edit Career Opportunity
                    <span class="float-right">
                        <a href="<?php echo e(route('career-opportunities.index')); ?>" class="btn btn-primary">Back</a>
                    </span>
                </div>
                <div class="card-body">
                    <form action="<?php echo e(route('career-opportunities.update', $careerOpportunity->id)); ?>" method="POST" enctype="multipart/form-data">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('PUT'); ?>

                        <div class="form-group">
                            <label for="title">Title</label>
                            <input type="text" class="form-control" id="title" name="title" value="<?php echo e($careerOpportunity->title); ?>" required>
                        </div>
                        <div class="form-group">
                            <label for="location">Location</label>
                            <input type="text" class="form-control" id="location" name="location" value="<?php echo e($careerOpportunity->location); ?>" required>
                        </div>
                        <div class="form-group">
                            <label for="status">Status</label>
                            <input type="text" class="form-control" id="status" name="status" value="<?php echo e($careerOpportunity->status); ?>" required>
                        </div>
                        <div class="form-group">
                            <label for="duration">Duration</label>
                            <input type="text" class="form-control" id="duration" name="duration" value="<?php echo e($careerOpportunity->duration); ?>">
                        </div>
                        <div class="form-group">
                            <label for="vacancy_no">Vacancy Number</label>
                            <input type="text" class="form-control" id="vacancy_no" name="vacancy_no" value="<?php echo e($careerOpportunity->vacancy_no); ?>">
                        </div>
                        <div class="form-group">
                            <label for="expiry_date">Expiry Date</label>
                            <input type="date" class="form-control" id="expiry_date" name="expiry_date" value="<?php echo e($careerOpportunity->expiry_date); ?>">
                        </div>
                        <div class="form-group">
                            <label for="career_type">Career Type</label>
                            
                            
                            <select name="career_type" id="career_type" class="form-control" required>
                                <option value="career"
                                <?php if( $careerOpportunity->career_type =='career'): ?>
                                    selected
                                <?php endif; ?>
                                >Career Opportunities</option>
                                <option value="procurement"
                                <?php if( $careerOpportunity->career_type =='procurement'): ?>
                                    selected
                                <?php endif; ?>
                                >Procurement Opportunities</option>
                                <option value="volunteer"
                                <?php if( $careerOpportunity->career_type =='volunteer'): ?>
                                    selected
                                <?php endif; ?>
                                >Volunteer Opportunities</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <strong>Description:</strong>
                            <textarea class="form-control summernote" id="summernote" style="height:150px" name="description"
                                placeholder="Description"><?php echo e(old('description', isset($careerOpportunity) ? $careerOpportunity->description : '')); ?></textarea>
                        </div>
                        <div class="form-group">
                            <label for="file">File</label>
                            <input type="file" class="form-control" id="file" name="file">
                            <?php if($careerOpportunity->file): ?>
                                <p>Current File: <a href="/storage/<?php echo e($careerOpportunity->file); ?>"><?php echo e($careerOpportunity->file); ?></a></p>
                            <?php else: ?>
                                <p>No file uploaded</p>
                            <?php endif; ?>
                        </div>
                        <button type="submit" class="btn btn-primary">Update</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
   <!-- jQuery -->
   <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
   <!-- Bootstrap JS -->
   <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
       integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous">
   </script>
   <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
   <script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.js"></script>


<script>
    $(document).ready(function() {
      
        $('.summernote').summernote({
            height: 200
        });

    });
</script>
</body>

</html>
</body>

</html>


<?php /**PATH D:\Softwares\Web Applcations\ASIO WebPage\ASIO_web_page\asio_web\resources\views/career-opportunities/edit.blade.php ENDPATH**/ ?>