<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ASIO | HOME</title>
    <link rel="apple-touch-icon" sizes="180x180" href="/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="/favicon-16x16.png">
    <link rel="manifest" href="/site.webmanifest">
    <!-- CSS Links -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/bootstrap-grid.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/bootstrap-reboot.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/bootstrap-utilities.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/bootstrap.min.css')); ?>">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <style>
        .see-more {
            display: none;
            color: blue;
            cursor: pointer;
        }

        .modal-overlay {
            display: none;
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background: rgba(0, 0, 0, 0.8);
            z-index: 1000;
            overflow: auto;
        }

        .modal-content {
            margin: 50px auto;
            padding: 20px;
            background: #fff;
            width: 90%;
            max-width: 1200px;
        }

        .close-modal {
            position: absolute;
            top: 10px;
            right: 20px;
            font-size: 30px;
            color: #000;
            cursor: pointer;
        }

        .like-btn {
            color: red;
        }

        .not-liked {
            color: grey;
        }

        .about .hidden {
            display: none;
        }

        .see-more1,
        .see-less {
            cursor: pointer;
            color: blue;
            margin-top: 10px;
        }
    </style>
</head>

<body>
    <a class="to-top-btn" href="#"><i class="fa fa-arrow-up"></i></a>
    <div class="container-fluid">
        <div class="nav-wrapper">
            <div class="grad-bar"></div>

            <nav class="code-pen-navbar">

                <img src="<?php echo e(asset('assets/img/ASIO.png')); ?>" alt="Organization Logo">
                
                <div class="menu-toggle" id="mobile-menu">
                    <span class="bar"></span>
                    <span class="bar"></span>
                    <span class="bar"></span>
                </div>
                <ul class="nav no-search">
                    <li class="nav-item">
                        <a class="" href="<?php echo e(route('welcome')); ?>">Home</a>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="" href="#about">About&NonBreakingSpace;Us</a>
                        <div class="dropdown-content">
                            <a href="#about">- About Us</a>
                            <a class="" href="#areasofexperties">- Our Experties</a>
                            <a class="" href="#work">- Our Work</a>
                            <a class="" href="#impact">- Our Impact</a>

                        </div>
                    </li>

                    <li class="nav-item dropdown">
                        <a class="" href="#getinvolved">Get&NonBreakingSpace;Invovled</a>
                        <div class="dropdown-content">
                            <a href="<?php echo e(route('career')); ?>">- Career Oppertunities</a>
                            <a href="<?php echo e(route('procurement')); ?>">- Procurement Oppertunities</a>
                            <a href="<?php echo e(route('career')); ?>">- Volunteer Oppertunities</a>
                        </div>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="" href="#geo">Coverage</a>
                        <div class="dropdown-content">
                            <a href="#kunduz">- Kunduz</a>
                            <a href="#kabul">- Kabul</a>
                            <a href="#baghlan">- Baghlan</a>
                            <a href="#samangan">- Samangan</a>
                            <a href="#takhar">- Takhar</a>
                        </div>
                    </li>
                    <li class="nav-item">
                        <a class="" href="#disaster">Disaster&NonBreakingSpace;Response</a>
                    </li>
                    <li class="nav-item">
                        <a class="" href="#partners">Our&NonBreakingSpace;Partners</a>
                    </li>
                    <li class="nav-item">
                        <i class="fas fa-search" id="search-icon"></i>

                    </li>
                    <form action="/search" method="get">
                        <input class="search-input" name="search" type="text"
                   placeholder="Search..">
                    </form> 
                 
                      
                </ul>
              
            </nav>
        </div>



        <section style="margin-top:105px">
            <div class="slideshow-container">
                <?php $__currentLoopData = $slideshows; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="mySlides">
                        <div class="slide-content">
                            <img src="<?php echo e(asset('images/' . $item->image . '')); ?>" class="zoom" style="width:100%">

                            <div class="text">
                                <?php echo $item->content; ?>

                            </div>


                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
            <br>
            <div style="text-align:center" class="dots-container ">
                <?php
                    $i = 0;
                ?>
                <?php $__currentLoopData = $slideshows; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <span class="dot" onclick="currentSlide(<?php echo e(++$i); ?>)"></span>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            </div>
        </section>
    </div>
    <?php echo $__env->yieldContent('content'); ?>

    <br>
    <br>
    <footer class="footer">
        <div class="row">
            <div class="col-sm col-lg col-md">
                <h5>Headquarters:</h5>
                <?php echo $address->description; ?>

            </div>
            <div class="col-sm col-lg col-md">
                <h5>Shortcut Links</h5>
                <a href="<?php echo e(route('welcome')); ?>">Home</a>
                <br>
                <a href="#about">About Us</a>
                <br>
                <a href="<?php echo e(route('login')); ?>">Login</a>
                <br>
                <img src="assets/img/locations.png" alt="locations" width="200">

            </div>
            <div class="col-sm col-lg col-md">
                <h5>Social Links</h5>
                <a href="https://www.facebook.com/AfghanistanASIO" target="_blank"><img
                        src="assets/img/social_logos/facebook.png" alt="faceboook" width="40"></a>
                <br>
                <a href="https://www.instagram.com/asio1579/ target=" _blank""><img
                        src="assets/img/social_logos/instagram.png" alt="instagram" width="40"></a>
                <br>
                <a href="https://twitter.com/asioafghanistan" target="_blank"><img
                        src="assets/img/social_logos/twitter.png" alt="twitterX" width="40"></a>
                <br>
                <a href="https://www.youtube.com/@ASIO-Afghanistan" target="_blank"><img
                        src="assets/img/social_logos/youtube.png" alt="youtube" width="40"></a>
            </div>
        </div>
    </footer>
    <div class="copyright">
        <h5>Copyright&copy; 2024 | ASIO By <a href="https://www.facebook.com/anasansarhassan">Anas Hassan</a> | All
            Rights Reserved</h5>
    </div>
    <!-- JavaScript Links -->
    <script src="assets/js/bootstrap.bundle.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>
    <script src="assets/js/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>

    <script src="assets/js/main.js"></script>
    <script>
        $(document).ready(function() {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $("#search-icon").click(function() {
                $(".nav").toggleClass("search");
                $(".nav").toggleClass("no-search");
                $(".search-input").toggleClass("search-active");
            });

            $('.menu-toggle').click(function() {
                $(".nav").toggleClass("mobile-nav");
                $(this).toggleClass("is-active");
            });

            // document.getElementById('navbarToggle').addEventListener('click', function() {
            //     var navbar = document.getElementById('navbarNav');
            //     navbar.classList.toggle('show');
            //     var isExpanded = navbar.classList.contains('show');
            //     this.setAttribute('aria-expanded', isExpanded);
            // });
            // Like button click event
            $('.like-btn').on('click', function(event) {
                event.preventDefault();
                var $this = $(this);
                var card = $this.closest('.horizontal-card');
                var id = $('.id').val();
                $.ajax({
                    url: '<?php echo e(route('like')); ?>',
                    type: 'POST',
                    data: {
                        id: id
                    },
                    success: function(response) {
                        if (response.success) {
                            if (response.liked) {
                                $this.removeClass('not-liked');

                            } else {
                                $this.addClass('not-liked');
                            }
                        }
                    }
                });
            });
            // Expand content on click
            $('.expand, .see-more').on('click', function(event) {

                event.preventDefault();
                var content = $(this).data('content');
                $('#modal-body').html(content);
                $('#modal-overlay').fadeIn();

            });
            $('.card-text').each(function() {
                var content = $(this).html();
                if (content.includes('...')) {
                    $(this).find('.see-more').show();
                }
            });
            // Close modal on click
            $('#close-modal, #modal-overlay').on('click', function() {
                $('#modal-overlay').fadeOut();
            });

            // Prevent modal from closing when clicking inside content
            $('.modal-content').on('click', function(event) {
                event.stopPropagation();
            });
        });
        // Initially hide all <p> tags except the first two
        $(".about p:gt(1)").addClass('hidden');

        // Show more click event
        $(".see-more1").click(function() {
            $(".about p").removeClass('hidden');
            $(".see-more1").addClass('hidden');
            $(".see-less").removeClass('hidden');
        });

        // Show less click event
        $(".see-less").click(function() {
            $(".about p:gt(1)").addClass('hidden');
            $(".see-more1").removeClass('hidden');
            $(".see-less").addClass('hidden');
        });

        // Show the "See More" span if there are more than two <p> tags
        if ($(".about p").length > 2) {
            $(".see-more1").removeClass('hidden');
        } else {
            $(".see-more1").addClass('hidden');
        }

        function applyFilters() {
            var search = $('#search').val();
            var location = $('#location').val();
            var position = $('#position').val();
            var rows = $('#career-opportunities-table tr');

            rows.each(function() {
                var row = $(this);
                var title = row.find('td:eq(1)').text();
                var loc = row.find('td:eq(2)').text();

                var show = true;

                if (search && !title.toLowerCase().includes(search.toLowerCase())) {
                    show = false;
                }

                if (location && loc !== location) {
                    show = false;
                }

                if (position && title !== position) {
                    show = false;
                }

                if (show) {
                    row.show();
                } else {
                    row.hide();
                }
            });
        }
    </script>
</body>

</html>
<?php /**PATH D:\Softwares\Web Applcations\ASIO WebPage\ASIO_web_page\asio_web\resources\views/layouts/app.blade.php ENDPATH**/ ?>